<?php

class Gallery extends MY_Admin {

	function Gallery()
	{
		parent::MY_Admin();
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);
	}

	function del()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		if (!$this->session->userdata('userid')) {redirect(base_url());}
		if (!($this->uri->rsegment(3) or $this->input->post('grp_id'))) {redirect(base_url());}
		if (!($this->uri->rsegment(4) or $this->input->post('p_id'))) {redirect(base_url());}

			$data = array(
				'gl_status' => '2'
			);

			$this->gallery->mod($data, $this->uri->rsegment(4));			
			redirect(base_url().'admin/gallery/gallery_list/'.$this->uri->rsegment(3).'/all');
	}

	function react()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		if (!$this->session->userdata('userid')) {redirect(base_url());}
		if (!($this->uri->rsegment(3) or $this->input->post('grp_id'))) {redirect(base_url());}
		if (!($this->uri->rsegment(4) or $this->input->post('p_id'))) {redirect(base_url());}

			$data = array(
				'gl_status' => '1'
			);

			$this->gallery->mod($data, $this->uri->rsegment(4));			
			redirect(base_url().'admin/gallery/gallery_list/'.$this->uri->rsegment(3).'/all');
	}	


	function add()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');
		$this->load->helper('utils_helper');

		$grp_id = $this->uri->rsegment(3);
		$this->sm->assign('grp_id', $grp_id);

		//Validálás
		$this->load->library('validation');
		$rules['gl_name_hu'] = "required";

		$this->validation->set_rules($rules);
		$this->validation->set_error_delimiters('<div class="error">', '</div>');
		$this->validation->set_message('required', '%s '. $this->lang->line('required_field_missing') );

		if ($this->validation->run() == FALSE) {
			$this->sm->assign('reg_mess', $this->validation->error_string);
		}
		else {
			//összerakjuk az adatokat a reghez
			$p_regdate = date('Y-m-d H:i:s');
			$data = array(
				'gl_name_hu' => $this->input->post('gl_name_hu'),
				'gl_body' => $this->input->post('gl_body'),
				'gl_owner' => $this->session->userdata('userid'),
				'gl_grp' => $this->input->post('grp_id'),				
				'gl_reg_date' => $p_regdate,
				'gl_status' => 1
			);

			$id = $this->gallery->add($data);
			if ($id) {
				//sikeres regisztráció, logolás
				$dir_name = $id.'_'.clean_string($this->input->post('gl_name_hu'));
			 mkdir('assets/res/galeria/'.$dir_name,0777);
			 $data = array(
				 'gl_dir' => $dir_name
			 );
			 $this->gallery->mod($data,$id);				
 			$this->log->log_message('[GALREG][USERID:'.$this->session->userdata('userid').'][GALID:'.$id.'][GALTITLE:'.$this->input->post('gl_name_hu').'][GROUPID:'.$this->input->post('grp_id').']', USER);
				$this->session->set_userdata('msg_str','Otpremite slike!');
				redirect(base_url().'admin/gallery/image_add/'.$this->input->post('grp_id').'/'.$id);
			} else {
				$this->sm->assign('reg_mess', $this->lang->line('database_error') );
			}
			//reg vége
		}

		$this->sm->assign('content', 'gallery_reg.tpl');
	}

	function mod()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		//jogosultság
		//if (!($this->uri->rsegment(3) or $this->input->post('grp_id'))) {redirect(base_url());}
		//if (!($this->uri->rsegment(4) or $this->input->post('p_id'))) {redirect(base_url());}
		
		if ( $this->uri->rsegment(3) ) {$grp_id = $this->uri->rsegment(3);} else {$grp_id = $this->input->post('grp_id');}
		if (!$grp_id) {$grp_id = 0;}
		$this->sm->assign('grp_id', $grp_id);

		//adatok visszaírása
		if (!$this->input->post('reg_btn')) {
			//ha nincs submit még...
			$p_id = $this->uri->rsegment(4);
			$entry = $this->gallery->details($p_id);
			$entry['p_id']  = $p_id;
		} else {
			//post visszaírása
			$posts = array();
			$data = array();
			foreach ($_POST as $key => $value) {
				$sm_key = substr_replace($key, 'gl_', 0, 3);
				$entry[$sm_key] = $this->input->post($key);
			};
			$entry['p_id'] = $this->input->post('p_id');
		}
		$this->sm->assign('gallery', $entry);

		//Validálás
		$this->load->library('validation');
		$rules['gl_name_hu'] = "required";
		$this->validation->set_rules($rules);
		$this->validation->set_error_delimiters('<div class="error">', '</div>');
		$this->validation->set_message('required', '%s '. $this->lang->line('required_field_missing') );

		if ($this->validation->run() == FALSE) {
			$this->sm->assign('reg_mess', $this->validation->error_string);
		}
		else {
			//összerakjuk az adatokat a reghez
			$p_regdate = date('Y-m-d H:i:s');
			$data = array(
				'gl_name_hu' => $this->input->post('gl_name_hu'),
				'gl_body' => $this->input->post('gl_body'),
				'gl_grp' => $this->input->post('grp_id')				
			);

			$id = $this->gallery->mod($data, $this->input->post('p_id'));
			if ($id) {
				$this->session->set_userdata('msg_str','A galéria módosítása sikeres volt!');
				redirect(base_url().'admin/gallery/image_add/'.$this->input->post('grp_id').'/'.$id);				
			} else {
				$this->sm->assign('reg_mess', $this->lang->line('database_error') );
			}
			//reg vége
		}

		$this->sm->assign('content', 'gallery_reg.tpl');
	}

 function pictures() {
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->model('blog_model', 'blog', true);

		$id = $this->uri->rsegment(3);
		if (!$id) {redirect(base_url());}

		$this->gallery->visit_inc($id);
		$gal_data = $this->gallery->details($id);
		$this->sm->assign('gallery', $gal_data);
		
 	//csoport
		$group_data = $this->group->details($gal_data['gl_grp']);

		//kivesszük a bemutatkozást
		$entrys = $this->blog->group_entry_list($gal_data['gl_grp']);
		$entry  = $entrys[0];
		$group_data['bm_id'] = $entry['b_id']; 

		//microsite adtaok
 	$ms_row = $this->group->msite_details($gal_data['gl_grp']);  
		foreach ($ms_row as $key => $value) {
				$group_data["$key"] = $value;
		}		

		//képek
		$p_data = $this->gallery->gallery_image_list($id);
		$pictures = array();
		$i = 0;
		foreach ($p_data as $row) {
				$row['dir_name'] = $gal_data['gl_dir'];
				$row['thumb'] = str_replace('.', '_thumb.', $row['gp_file'] );
				$pictures[$i++] = $row;
		};
		
		$this->sm->assign('pictures',$pictures);
		$this->sm->assign('group_data', $group_data);
		$this->sm->assign('dyn_menu', 'dyn_menu.tpl');		 
 	$this->sm->assign('content', 'gallery_pictures.tpl');
 }
	
	function image_add()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		//jogosultság
		//if (!($this->uri->rsegment(3) or $this->input->post('grp_id'))) {redirect(base_url());}
		$grp_id = $this->uri->rsegment(3);
		$this->sm->assign('grp_id', $grp_id);

 	if (!($this->uri->rsegment(4))) {redirect(base_url());}
		$this->sm->assign('gal_id', $this->uri->rsegment(4));
		
		$this->sm->assign('content', 'image_add.tpl');
	}

	function gallery_list()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		$this->sm->assign('grp_id', $grp_id);

		$this->sm->assign('form_status', form_dropdown_from_db('status', "SELECT bs_id,bs_name FROM blog_status ", $this->input->post('status'), ' id="status" ') );

 	$group_by = NULL;
		if ($this->input->post('name')) {
				$filter .= ' AND gl_name_hu LIKE "%'.str_replace('_', ' ', $this->input->post('name')).'%"';
			}
		if ($this->input->post('status')) {
				$filter .= ' AND (gl_status = '.$this->input->post('status').' ) ';
		}
		$entrys = $this->gallery->gallery_list($filter, $limit, ' ORDER BY gl_reg_date DESC ', $group_by);

		$this->sm->assign('entrys', $entrys);
		$this->sm->assign('content', 'gallery_list.tpl');
	}
	
	function image_upload()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		$this->ajax_request = 1;

		//jogosultság
		if (!$this->session->userdata('userid')) {redirect(base_url());}

		//a galéria id-je és a dir neve
		$data = $this->gallery->details($this->input->post('uniqueId'));
		$dir_name = $data['gl_dir'];
		
			//kép
			$p_pic = '';
			//upload config
			$config['upload_path'] = './assets/res/galeria/'.$dir_name;
			$config['allowed_types'] = 'gif|jpg|png|jpeg';
			$config['max_size']  = '';
			$config['max_width']  = '';
			$config['max_height']  = '';
			$config['encrypt_name']  = TRUE;
			$config['remove_spaces']  = TRUE;
			//image config
			$configThumb = array();
			$configThumb['image_library'] = 'gd2';
			$configThumb['source_image'] = '';
			$configThumb['create_thumb'] = TRUE;
			$configThumb['maintain_ratio'] = TRUE;
			$configThumb['width'] = 200;
			$configThumb['height'] = 200;
			$configThumb['master_dim'] = 'width';
			$this->load->library('upload', $config);
			$this->load->library('image_lib');
			$upload = $this->upload->do_upload('Filedata');
			if ($upload) {
				$data = $this->upload->data();
				if ($data['is_image'] == 1) {
					$pic = $data['file_name'];
					$configThumb['source_image'] = $data['full_path'];
					$this->image_lib->initialize($configThumb);
					$this->image_lib->resize();
				}
				$pic_thumb = str_replace('.', '_thumb.', $pic); 
				
				//adatbázisba
				$data = array (
					'gp_gal' => $this->input->post('uniqueId'),
					'gp_file' => $pic
				);
				$id = $this->gallery->image_add($data);

				$this->sm->assign('id',$id);
				$this->sm->assign('dir_name',$dir_name);								
				$this->sm->assign('pic',$pic_thumb);								
				
				//kimenet
				//ouput 'success' inside <div id="output">
				echo '<div id="output">success</div>';
				echo '<div id="message">'.$this->sm->fetch('image_row.tpl').'</div>';
			} else {
				echo '<div id="output">failed</div>';
				echo '<div id="message">Hiba a feltöltésnél!</div>';
			}		
	}

	function del_image()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		$this->ajax_request = 1;

		//jogosultság
		if (!$this->session->userdata('userid')) {redirect(base_url());}
		if (!$this->input->post('p_id')) {redirect(base_url());}

		//a galéria id-je és a dir neve
		$data = $this->gallery->details($this->input->post('gal_id'));
		$dir_name = $data['gl_dir'];
		
		$data = $this->gallery->image_details($this->input->post('p_id'));
		$file_name = $data['gp_file'];
		unlink('assets/res/galeria/'.$dir_name.'/'.$file_name);
		$file_name = str_replace('.', '_thumb.', $file_name); 
		unlink('assets/res/galeria/'.$dir_name.'/'.$file_name);
		$this->gallery->image_delete($this->input->post('p_id'));
		
		echo '1';	
	}	

	function image_list_ajax()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		$this->ajax_request = 1;

		//jogosultság
		if (!$this->input->post('gal_id')) {redirect(base_url());}

		//a galéria id-je és a dir neve
		$data = $this->gallery->details($this->input->post('gal_id'));
		$dir_name = $data['gl_dir'];
		
		$data = $this->gallery->image_list_by_gal($this->input->post('gal_id'));
		$output = '';
		
		foreach ($data as $row) {
			$this->sm->assign('id',$row['gp_id']);
			$this->sm->assign('image_title_hu',$row['gp_title_hu']);
			$this->sm->assign('image_title_en',$row['gp_title_en']);			
			$this->sm->assign('gp_start',$row['gp_start']);
			$this->sm->assign('dir_name',$dir_name);								
			$this->sm->assign('pic',$row['gp_file']);				
			$output .= $this->sm->fetch('image_row.tpl');
		}
		
		echo $output;
	}	

	function update_image()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		$this->ajax_request = 1;

		//jogosultság
		if (!$this->session->userdata('userid')) {redirect(base_url());}
		if (!$this->input->post('p_id')) {redirect(base_url());}

		$data = array(
			'gp_title_hu' => $this->input->post('p_text_hu'),
			'gp_title_en' => $this->input->post('p_text_en')
		);		
	 $this->gallery->image_mod($data,$this->input->post('p_id'));

		echo '1';	
	}	
	
	function set_start_image()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		$this->ajax_request = 1;

		//jogosultság
		if (!$this->session->userdata('userid')) {redirect(base_url());}
		if (!$this->input->post('p_id')) {redirect(base_url());}
	 $this->gallery->image_set_start($this->input->post('p_id'));

		echo '1';	
	}	
		
}
/* End of file gallery.php */
/* Location: ./system/application/controllers/gallery.php */