<?php
#lho

class Blog extends MY_Admin {

	function Blog()
	{
		parent::MY_Controller();
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);
		$this->site_conf['active_menu'] = 'hirek';		
	}

	function entry()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('blog_model', 'blog', true);

		$id = $this->uri->rsegment(3);
		if (!$id) {redirect(base_url());}
		
		$this->blog->visit_inc($id);
		$entry_data = $this->blog->details($id);

		//seo
		if ($entry_data['b_html_title_'.$this->session->userdata('lang')]) {
			$this->site_conf['title'] = $entry_data['b_html_title_'.$this->session->userdata('lang')];	
		} else {
			$this->site_conf['title'] = $entry_data['b_title_'.$this->session->userdata('lang')];
		}

		if ($entry_data['b_html_ds_'.$this->session->userdata('lang')]) {
			$this->site_conf['desc'] = $entry_data['b_html_ds_'.$this->session->userdata('lang')];	
		} else {
			$this->site_conf['desc']  = $entry_data['b_title_'.$this->session->userdata('lang')];
		}

		if ($entry_data['b_html_kw_'.$this->session->userdata('lang')]) {
			$this->site_conf['keywords'] = $entry_data['b_html_kw_'.$this->session->userdata('lang')];	
		} else {
		$this->site_conf['keywords'] = $this->lang->line('default_keywords');
		}
						
		


		$entry_data['m_name'] = $entry_data['m_name_'.$this->session->userdata('lang')];
		$entry_data['c_name'] = $entry_data['c_name_'.$this->session->userdata('lang')];
		$entry_data['b_title'] = $entry_data['b_title_'.$this->session->userdata('lang')];
		$entry_data['b_body'] = $entry_data['b_body_'.$this->session->userdata('lang')];
		$entry_data['b_lead'] = $entry_data['b_lead_'.$this->session->userdata('lang')];
		$this->sm->assign('entry', $entry_data);
		
		switch ($entry_data['b_type']) {
			case '1':
					$this->sm->assign('content', 'entry_news.tpl');
					break;	
			case '2':
					$this->site_conf['active_menu'] = $this->uri->rsegment(4);			
					$this->sm->assign('content', 'entry.tpl');
					break;	

		}
		
	}

	function search() {
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('text');
		$this->load->helper('utils');

#		$num_per_page = 6;
#		$filter = '';
#
#		//hírek,faq
#		if ($this->uri->rsegment(3)) {
#			$type = $this->uri->rsegment(3);
#		} else {
#			$type = $this->input->post('type');
#		}

		if ($type == 1) {
			$order_by = 'ORDER BY b_reg_date DESC';
		} else {
			$order_by = 'ORDER BY b_title_hu ASC';
		}

		 //lapozás
#		if (!$this->input->post('direction')) {$pos = 0;} else {$pos = $this->input->post('pos');}
#		switch ($this->input->post('direction')) {
#		case 'back':
#			$pos--;
#			break;
#		case 'foward':
#			$pos++;
#			break;
#		}
#		$need_back = true;
#		$need_fwd = true;
#		$max_num = count( $this->blog->entry_list(' AND b_type = '.$type.' AND b_status = 1 ', '', $order_by) );
#		$this->sm->assign('count',$max_num );
#		$lapokszama = ceil($max_num / $num_per_page);
#		if ($lapokszama > 1) {
#			//kell lapozó
#			if ($pos == 0) {$need_back = false;}
#			if ($pos == $lapokszama-1) {$need_fwd = false;}
#		} else {
#			$need_back = false;
#			$need_fwd = false;
#		}
#		$limit = ' LIMIT '.($pos*$num_per_page).','.$num_per_page.' ';

		//friss
		$res = $this->blog->entry_list(' AND b_type = 1  AND b_status = 1 ', ' LIMIT 0,10 ', 'ORDER BY b_reg_date DESC');
		$mod_res = array();
		$i = 0;
		if ($res) {
			foreach ($res as $row) {
				//$row['b_body'] = character_limiter( strip_tags($row['b_body_hu']) , 100);
				$row['b_body'] = $row['b_lead_'.$this->session->userdata('lang')];
				$row['b_title'] = $row['b_title_'.$this->session->userdata('lang')];
				$mod_res[$i++] = $row;
			}
			$this->sm->assign('blog_entrys_friss',$mod_res);
	}
	
		//szövetség
		$res = $this->blog->entry_list(' AND b_type = 1 AND b_cat = 1 AND b_status = 1 ', ' LIMIT 0,10 ', 'ORDER BY b_reg_date DESC');
		$mod_res = array();
		$i = 0;
		if ($res) {
			foreach ($res as $row) {
				//$row['b_body'] = character_limiter( strip_tags($row['b_body_hu']) , 100);
				$row['b_body'] = $row['b_lead_'.$this->session->userdata('lang')];
				$row['b_title'] = $row['b_title_'.$this->session->userdata('lang')];
				$mod_res[$i++] = $row;
			}
			$this->sm->assign('blog_entrys_szovetseg',$mod_res);
	}

		//szállás
		$res = $this->blog->entry_list(' AND b_type = 1 AND b_cat = 2 AND b_status = 1 ', ' LIMIT 0,10 ', 'ORDER BY b_reg_date DESC');
		$mod_res = array();
		$i = 0;
		if ($res) {
			foreach ($res as $row) {
				//$row['b_body'] = character_limiter( strip_tags($row['b_body_hu']) , 100);
				$row['b_body'] = $row['b_lead_'.$this->session->userdata('lang')];
				$row['b_title'] = $row['b_title_'.$this->session->userdata('lang')];
				$mod_res[$i++] = $row;
			}
			$this->sm->assign('blog_entrys_szallas',$mod_res);
	}

		//vilag
		$res = $this->blog->entry_list(' AND b_type = 1 AND b_cat = 3 AND b_status = 1 ', ' LIMIT 0,10 ', 'ORDER BY b_reg_date DESC');
		$mod_res = array();
		$i = 0;
		if ($res) {
			foreach ($res as $row) {
				//$row['b_body'] = character_limiter( strip_tags($row['b_body_hu']) , 100);
				$row['b_body'] = $row['b_lead_'.$this->session->userdata('lang')];
				$row['b_title'] = $row['b_title_'.$this->session->userdata('lang')];
				$mod_res[$i++] = $row;
			}
			$this->sm->assign('blog_entrys_nagyvilag',$mod_res);
	}

#		$this->sm->assign('need_back',$need_back);
#		$this->sm->assign('need_fwd',$need_fwd);
#		$this->sm->assign('s_order',$s_order);
#		$this->sm->assign('s_type',$s_type);
#		$this->sm->assign('pos',$pos);
#		$this->sm->assign('type',$type);
		$this->sm->assign('content', 'entry_list.tpl');
	}

}
/* End of file blog.php */
/* Location: ./system/application/controllers/blog.php */