<?php

class Home extends MY_Controller {

	function Home()
	{
		parent::MY_Controller();
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);
	}

	function index()
	{
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('text');

		$this->sm->assign('content','content_index.tpl');

#		$products = $this->webshop->prod_list(' AND pr_feature = 1 ', ' LIMIT 0,4 ', ' ORDER BY RAND() ');
#
#		$items = array();
#		$i = 0;
#		foreach ($products as $item) {
#			if ($item['gl_id']) {
#				$p_data = $this->gallery->gallery_image_list($item['gl_id']);
#				$file = $p_data[0]['gl_dir'].'/'.$p_data[0]['gp_file'];
#				$item['picture'] = $file;
#				$item['pr_body_hu'] = character_limiter( strip_tags($item['pr_body_hu']) , 150);
#				$item['pr_body_en'] = character_limiter( strip_tags($item['pr_body_en']) , 150);
#			}
#			$items[$i++] = $item;
#		}
#		$this->sm->assign('items',$items);
#
#		//banner
#		$products = $this->webshop->prod_list(' AND pr_mainbanner = 1 ', ' LIMIT 0,1 ', ' ORDER BY RAND() ');
#		$banner = $products[0];
#		if ($banner['gl_id']) {
#			$p_data = $this->gallery->gallery_image_list($banner['gl_id']);
#			$file = $p_data[0]['gl_dir'].'/'.$p_data[0]['gp_file'];
#			$banner['picture'] = $file;
#			$banner['pr_body_hu'] = character_limiter( strip_tags($banner['pr_body_hu']) , 90);
#			$banner['pr_body_en'] = character_limiter( strip_tags($banner['pr_body_en']) , 90);
#		}
#		$this->sm->assign('banner',$banner);
	}

	function szallasok()
	{
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('text');

		$this->site_conf['active_menu'] = 'szallasok';		
		$this->sm->assign('content','content_szallasok.tpl');
	}

	function tagkartya()
	{
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('text');

		$this->site_conf['active_menu'] = 'tagkartya';		
		$this->sm->assign('content','content_tagkartya.tpl');
	}


	function page()
	{
		$page = $this->uri->rsegment(3);
		if ($page) {
			$this->sm->assign('content','content_'.$page.'.tpl');
		}
		else {
			$this->sm->assign('content','content_index.tpl');
		}
	}

	function lang()
	{
		$lang = $this->uri->rsegment(3);
		if ($lang == 'en') {$new_lang = 'hu';} else {$new_lang = 'en';} 
		$this->session->set_userdata('lang',$new_lang);
		redirect(base_url());
	}

	function search() {
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('text');
		$this->load->helper('utils');

		if (!$this->input->post('s_string') or strlen($this->input->post('s_string')) < 3 ) {
			redirect(base_url());
		}

		//hírek
		$filter = ' AND ( b_title_hu LIKE "%'.$this->input->post('s_string').'%" OR b_body_hu LIKE "%'.$this->input->post('s_string').'%" )';
		$res = $this->blog->entry_list(' AND ( b_type = 1 OR b_type=2 ) AND b_status = 1 '.$filter, '', ' ORDER BY b_reg_date DESC ');
		$mod_res = array();
		$i = 0;
		if ($res) {
			foreach ($res as $row) {
				$row['b_body_hu'] = character_limiter( strip_tags($row['b_body_hu']) , 100);
				$row['b_url'] = clean_string($row['b_title_hu']);
				$mod_res[$i++] = $row;
			}
			$this->sm->assign('blog_entrys',$mod_res);
		}

		//faq
		$filter = ' AND ( b_title_hu LIKE "%'.$this->input->post('s_string').'%" OR b_body_hu LIKE "%'.$this->input->post('s_string').'%" )';
		$res = $this->blog->entry_list(' AND b_type = 3  AND b_status = 1 '.$filter, '', ' ORDER BY b_reg_date DESC ');
		$mod_res = array();
		$i = 0;
		if ($res) {
			foreach ($res as $row) {
				$row['b_body_hu'] = character_limiter( strip_tags($row['b_body_hu']) , 100);
				$row['b_url'] = clean_string($row['b_title_hu']);
				$mod_res[$i++] = $row;
			}
			$this->sm->assign('faq_entrys',$mod_res);
		}
				
		//ingatlanok
		$filter = ' AND ( pr_name_hu LIKE "%'.$this->input->post('s_string').'%" OR pr_body_hu LIKE "%'.$this->input->post('s_string').'%" ) ';
		$products = $this->webshop->prod_list(' AND pr_active = 1 '.$filter, '  ', ' ORDER BY pr_reg_date DESC');
		$items = array();
		$i = 0;
		if ($products) {
			foreach ($products as $item) {
				if ($item['gl_id']) {
					$p_data = $this->gallery->gallery_image_list($item['gl_id']);
					$file = $p_data[0]['gl_dir'].'/'.$p_data[0]['gp_file'];
					$item['picture'] = $file;
					$item['pr_body_hu'] = character_limiter( strip_tags($item['pr_body_hu']) , 150);
					$item['pr_body_en'] = character_limiter( strip_tags($item['pr_body_en']) , 150);
				}
				$items[$i++] = $item;
			}
			$this->sm->assign('prod_entrys',$items);
		}
		
		$this->sm->assign('s_string',$this->input->post('s_string'));
		$this->sm->assign('content','search_result.tpl');
	}

}

/* End of file home.php */
/* Location: ./system/application/controllers/home.php */