<?php

class Webshop extends MY_Controller {

	function Webshop()
	{
		parent::MY_Controller();
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);
		$this->site_conf['active_menu'] = 'szallasok';
	}


	function search()
	{
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('gallery_model', 'gallery', true);
		$this->load->helper('text');

		$this->sm->assign('content','prod_list.tpl');

		$num_per_page = 6;
		$filter = '';

		if ($this->uri->rsegment(4)) {
			$group = $this->uri->rsegment(4);
		} else {
			$group = $this->input->post('group');
		}


		if (!$this->input->post('s_type')) {$s_type = 2;} else {$s_type = $this->input->post('s_type');}

		if (!empty($group)) {
			$filter = ' AND a_id = '.$group;

			$sql = 'SELECT * FROM product_type WHERE ty_id = '.$group;
			$query = $this->db->query($sql);
			$type_array = $query->row_array();
			$type = $type_array['ty_name_'.$this->site_lang];
		}

		if ($this->input->post('city')) {
			$city = $this->input->post('city');
			$filter .= " AND pr_city LIKE '$city' ";
		}

		//szűrés
		$products = $this->webshop->prod_list($filter, ' ',  ' ORDER BY pr_name_'.$this->site_lang.' ASC ');
		$items = array();
		$i = 0;
		foreach ($products as $item) {
			if ($item['gl_id']) {
				$p_data = $this->gallery->gallery_image_list($item['gl_id']);
				$file = $p_data[0]['gl_dir'].'/'.$p_data[0]['gp_file'];
				if (!file_exists('assets/res/galeria/'.$file) or empty($p_data[0]['gp_file'])) {
					$file = 'no_pic.jpg';
				}
			}
			$item['picture'] = $file;
			$item['pr_body'] =  word_limiter(strip_tags($item['pr_body']),30);
			$items[$i++] = $item;
		}
		$this->sm->assign('items',$items);

		//összzerakjuk a menüt, meg a visszaírást
		$breadcrumb = '<a href="">'.$this->lang->line('szallasok').'</a> ';
		if ($group) {$breadcrumb .= ' > <a href="szallaskereso/group/'.$group.'">'.$type.'</a> ';}
		if ($city) {$breadcrumb .= ' > <a href="szallaskereso/city/'.$city.'">'.$city.'</a> ';}
		$this->sm->assign('breadcrumb',$breadcrumb);

		$list_title = $type;	
		if ($city) {if (!empty($list_title)) {$list_title .= ' - ';}	 $list_title .=  $city;}
		$this->sm->assign('list_title',$list_title);
		$this->sm->assign('group',$group);
	}

	function details()
	{
		$this->load->model('group_model', 'group', true);
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('gallery_model', 'gallery', true);

		if (!($this->uri->rsegment(3))) {redirect(base_url());}
		$p_id = $this->uri->rsegment(3);

		if ($this->uri->rsegment(4)) {
			$group = $this->uri->rsegment(4);
		} else {
			$group = $this->input->post('group');
		}

		$prod = $this->webshop->details($p_id);
		$group_data = $this->group->details($prod['pr_group']);

		if (!empty($group)) {
			$filter = ' AND a_id = '.$group;

			$sql = 'SELECT * FROM product_type WHERE ty_id = '.$group;
			$query = $this->db->query($sql);
			$type_array = $query->row_array();
			$type = $type_array['ty_name_'.$this->site_lang];
		}

		if ($this->input->post('city')) {
			$city = $this->input->post('city');
			$filter .= " AND pr_city LIKE '$city' ";
		}

		//képek
		$gal_data = $this->gallery->group_gallery_list($prod['pr_id']);
		if ($gal_data[0]['gl_id']) {
			$p_data = $this->gallery->gallery_image_list($gal_data[0]['gl_id']);
			$file = $gal_data[0]['gl_dir'].'/'.$p_data[0]['gp_file'];
			$prod['picture'] = $file;
			$prod['gp_title'] = $p_data[0]['gp_title_'.$this->site_lang];
		
			//tilte nyelv szerina  képekhez
			$tpm_array = array();
			$i = 0;
		 foreach ($p_data as $row) {
		 		$row['gp_title'] = $row['gp_title_'.$this->site_lang];
		 		$tmp_array[$i++] = $row;
		 }
		 $p_data = $tmp_array;
		}

		//tulajdonságok
		$props = $this->webshop->get_props($p_id);
		$temp = array();
		$i = 0;
		foreach ($props as $prop) {
			$query = $this->db->query('SELECT * FROM product_szobatipus WHERE sz_id = '.$prop['pp_tipus']);
			$row = $query->row_array();
			$prop['pp_tipus'] = $row['sz_name_'.$this->site_lang];
			$query = $this->db->query('SELECT * FROM product_agyak WHERE a_id = '.$prop['pp_agyak']);
			$row = $query->row_array();
			$prop['pp_agyak'] = $row['a_name_hu'];
			$query = $this->db->query('SELECT * FROM product_hol WHERE h_id = '.$prop['pp_hol']);
			$row = $query->row_array();
			$prop['pp_hol'] = $row['h_name_'.$this->site_lang];
			$query = $this->db->query('SELECT * FROM product_vizesblokk WHERE vb_id = '.$prop['pp_vb']);
			$row = $query->row_array();
			$prop['pp_vb'] = $row['vb_name_'.$this->site_lang];
			if ($this->site_lang == 'en') {$prop['pp_ar'] = $prop['pp_ar_eu'];}
			$temp[$i++] = $prop;
		}
		$this->sm->assign('props',$temp);

		$product_serv_array = $this->webshop->get_prop_name($p_id, 'a_id', 'product_serv', 's_id', 's_name_'.$this->site_lang, 'rel_prod_serv', 'o_id');
		$this->sm->assign('serv',$product_serv_array);

		//összzerakjuk a menüt, meg a visszaírást
		$breadcrumb = '<a href="">'.$this->lang->line('szallasok').'</a> ';
		if ($group) {$breadcrumb .= ' > <a href="szallaskereso/group/'.$group.'">'.$type.'</a> > ';}
		if ($prod['pr_city']) {$breadcrumb .= ' <a href="szallaskereso/city/'.$prod['pr_city'].'">'.$prod['pr_city'].'</a> ';}
		$this->sm->assign('breadcrumb',$breadcrumb);

		$list_title = $type;
		if ($prod['pr_city']) {		if (!empty($list_title)) {$list_title .= ' - ';} $list_title .= $prod['pr_city'];}
		$this->sm->assign('list_title',$list_title);
		$this->sm->assign('group',$group);

		//kártyák
		$prod['pr_cards'] = explode(',',$prod['pr_cards']);

		$prod['pr_name'] = $prod['pr_name_'.$this->site_lang];
		$prod['pr_body'] = $prod['pr_body_'.$this->site_lang];
		$prod['pr_megkoz'] = $prod['pr_megkoz_'.$this->site_lang];
		$prod['pr_latni'] = $prod['pr_latni_'.$this->site_lang];

		//seo
		if ($prod['pr_title_'.$this->session->userdata('lang')]) {
			$this->site_conf['title'] = $prod['pr_title_'.$this->session->userdata('lang')];	
		} else {
			$this->site_conf['title'] = $prod['pr_name_'.$this->session->userdata('lang')];
		}

		if ($prod['pr_desc_'.$this->session->userdata('lang')]) {
			$this->site_conf['desc'] = $prod['pr_desc_'.$this->session->userdata('lang')];	
		} else {
			$this->site_conf['desc']  = $prod['pr_name'];
		}
		
		$this->sm->assign('entry_pictures', $p_data);
		$this->sm->assign('entry', $prod);
		$this->sm->assign('content', 'prod_details.tpl');
	}

	function city_for_select()
	{
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->helper('ajax');

		$this->ajax_request = 1;
		$id = $this->input->post('id');

		echo city_for_select($id);
	}

	function contact() {
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->library('email');

		#  if($this->input->post('prod_id')) {
		#   $szoveg = $this->load->file('assets/mail/contact.html', true);
		#   $html_body = "<h1>Megkeresés a grifton.hu weboldalról!</h1>";
		#   $html_body .= "<h2>A következő adatokkal:</h2>";
		#   $html_body .= "<p>Tárgy: ".$this->input->post('subj').", <br/>";
		#   $html_body .= "Név: ".$this->input->post('name').", <br/>";
		#   $html_body .= "e-mail: ".$this->input->post('mail').", <br/>";
		#   $html_body .= "Telefon: ".$this->input->post('tel')."</p>";
		#   $html_body .= "<p><strong>Üdvözlettel<br>Grifton Property</strong></p>";
		#   $htmlszoveg = preg_replace("/UZENET/", $html_body, $szoveg);
		#   $config['mailtype'] = 'html';
		#   $config['charset'] = 'utf-8';
		#
		#   $this->email->initialize($config);
		#   $this->email->from('info@grifton.hu', 'grifton.hu');
		#   $this->email->to('property@grifton.hu');
		#   $this->email->subject('Megkeresés: '.$this->input->post('subj'));
		#   $this->email->message($htmlszoveg);
		#   //$this->email->send();
		#
		#   $this->session->set_userdata('msg_str', 'Köszönjük e-mailben értesítettük kollégáinkat!');
		#
		#   redirect('webshop/details/'.$this->input->post('prod_id'));
		#  }
	}
}
/* End of file webshop.php */
/* Location: ./system/application/controllers/webshop.php */