<?php
/**
* Drop-down Menu FROM database
*
* @access    public
* @param    string
* @param    array
* @param    string
* @param    string
* @return    string
*/

    function form_dropdown_from_db($name = '', $sql, $selected = array(), $extra = '', $need_first = true)
    {
        $CI =& get_instance();
        if ( ! is_array($selected))
        {
            $selected = array($selected);
        }

        // If no selected state was submitted we will attempt to set it automatically
        if (count($selected) === 0)
        {
            // If the form name appears in the $_POST array we have a winner!
            if (isset($_POST[$name]))
            {
                $selected = array($_POST[$name]);
            }
        }

        if ($extra != '') $extra = ' '.$extra;

        $multiple = (count($selected) > 1 && strpos($extra, 'multiple') === FALSE) ? ' multiple="multiple"' : '';

        $form = '<select name="'.$name.'"'.$extra.$multiple.">\n";
        if ($need_first) {$form .= "<option value=\"\">Odabrati</option>\n";};
        $query=$CI->db->query($sql);
        if ($query->num_rows() > 0)
        {
           if (count($selected) > 1) {
           	$res_array = array();
           	$i = 0;
           	foreach ($selected as $value) {
           		foreach ($query->result_array() as $row)
           		{
           					$values = array_values($row);
           					$key = (string) $values[0];
           					if ($key == $value) {$res_array[$i++] = $row;}
           		}
           	}
           	foreach ($query->result_array() as $row)
           	{
                $values = array_values($row);
                if (count($values)===2){
                    $key = (string) $values[0];
                    $val = (string) $values[1];
                }
                if (!in_array($key, $selected)) {$res_array[$i++] = $row;}         		
           	}           	
           } else {
 	           $res_array = $query->result_array();
           }
           foreach ($res_array as $row)
           {
                  $values = array_values($row);
                  if (count($values)===2){
                    $key = (string) $values[0];
                    $val = (string) $values[1];
                    //$this->option($values[0], $values[1]);
                  }

                $sel = (in_array($key, $selected))?' selected="selected"':'';

                $form .= '<option value="'.$key.'"'.$sel.'>'. $val."</option>\n";
           }
        }
        $form .= '</select>';
        return $form;
    }

    function form_checkbox_from_db($name = '', $sql, $selected = array(), $extra = '',$separator='')
    {
        $CI =& get_instance();
        if ( ! is_array($selected))
        {
            $selected = array($selected);
        }

        // If no selected state was submitted we will attempt to set it automatically
        if (count($selected) === 0)
        {
            // If the form name appears in the $_POST array we have a winner!
            if (isset($_POST[$name]))
            {
                $selected = array($_POST[$name]);
            }
        }

        if ($extra != '') $extra = ' '.$extra;


        $form = '<ul>';
        $query=$CI->db->query($sql);
        if ($query->num_rows() > 0)
        {
           $res_array = $query->result_array();
           foreach ($res_array as $row)
           {
                  $values = array_values($row);
                  if (count($values)===2){
                    $key = (string) $values[0];
                    $val = (string) $values[1];
                    //$this->option($values[0], $values[1]);
                  }

                $sel = (in_array($key, $selected))?' checked="checked"':'';

                $form .= '<li><input type="checkbox" value="'.$key.'"'.$sel.' name="'.$name.'" />'. $val."</li> \n";
           }
        }
        return $form.'</ul>';
    }
        
    function form_just_option($sql,$key,$value,$selected, $need_first = true)
    {
        $CI =& get_instance();
        if ( ! is_array($selected))
        {
            $selected = array($selected);
        }
								$form = '';
								if ($need_first) {$form .= "<option value=\"\">Odabrati</option>";};
        $query=$CI->db->query($sql);
        if ($query->num_rows() > 0)
        {
           foreach ($query->result_array() as $row)
           {
																$sel = (in_array($row["$key"], $selected))?' selected="selected"':'';
                $form .= '<option value="'.$row["$key"].'" '.$sel.'>'.$row["$value"]."</option> ";
           }
        }
        return $form;
    }
        
/* End of file my_sm_form_helper.php */
/* Location: ./system/application/helpers/my_sm_form_helper.php */    