<?php

class  Webshop_model extends Model {
 private $tbl = 'products';
 
	function Webshop_model()
	{
		parent::Model();	
	}
	
 function shopdata_add($data) {
  	$str = $this->db->insert_string('webshops', $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }

 function shopdata_mod($data,$id) {
			$where = "ws_group = $id"; 
			$str = $this->db->update_string('webshops', $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }
 
	function shop_details($id)
	{
		$this->db->where('ws_group', $id);	
		$query = $this->db->get('webshops');
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}
	
 function prod_add($data) {
  	$str = $this->db->insert_string($this->tbl, $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }

 function prod_mod($data,$id) {
			$where = "pr_id = $id"; 
			$str = $this->db->update_string($this->tbl, $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }
 
 function multiple_add($table,$data) {
  	$str = $this->db->insert_string($table, $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }

 function multiple_delete($table,$field,$id) {
  	$str = "DELETE FROM $table WHERE $field = $id";
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }

 function group_count_prod($g_id,$just_active = TRUE) {
		$this->db->where('pr_group', $g_id);			
		if ($just_active) {$this->db->where('pr_status', 1);} 
		$query = $this->db->get($this->tbl); 
		if ($query->num_rows() > 0)
		{
				return $query->num_rows();
		}
		else
		{
			return FALSE;
		} 
 } 
    
	function prod_list($filter,$limit,$order,$group_by = 'GROUP BY pr_id',$just_active=TRUE)
	{
		if (!$group_by) {$group_by = 'GROUP BY pr_id';}
		if ($just_active) {$filter = $filter . ' AND pr_active=1 AND gr_status = 1' ;}
		$str = "SELECT products.*,groups.gr_name_hu,gr_gyujto_2,gr_gyujto_1,groups.gr_id,gallerys.*,products.pr_name_hu AS pr_name,products.pr_body_hu AS pr_body  FROM ".$this->tbl." 
			LEFT JOIN groups ON groups.gr_id = products.pr_group 
			LEFT JOIN gallerys ON gallerys.gl_grp = products.pr_id 
			LEFT JOIN rel_prod_type ON rel_prod_type.o_id = products.pr_id 
			WHERE 1  $filter  $group_by $order $limit";
		//nyelv szerint váltjuk
		if ($this->site_lang) {
			$lang = $this->site_lang;
			$str = str_replace('_hu','_'.$this->site_lang,$str);
		}	
		$query = $this->db->query($str);
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
		else
		{
			return FALSE;
		}
	}

	function details_from_url($name)
	{
		$this->db->where('pr_url', $name);	
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}
	
	function details($id)
	{
		$this->db->where('pr_id', $id);
		$this->db->join('price_type', 'price_type.pt_id = products.pr_price_type', 'left');	
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}
		
	function get_prop_name($prod_id,$key_name,$prp_table,$prp_key,$prp_name,$main_table,$main_table_id,$sorted = true){
		if ($sorted) {
		 $need_sort = "ORDER BY $main_table.id ASC";
		}
		$str = "SELECT $prp_name AS name , $prp_key AS id FROM $prp_table LEFT JOIN $main_table ON $main_table.$key_name = $prp_key WHERE $main_table.$main_table_id = $prod_id $need_sort";
		$query = $this->db->query($str);
		if ($query->num_rows() > 0)
		{
				return $query->result_array();
		}
		else
		{
			return FALSE;
		}	
	}	 

	function order_list($u_id,$status='',$just_header = TRUE,$group =  FALSE,$where='') {
		if ($group) {
			$filter = "oh_group = $u_id";		
		} else {
			$filter = "oh_user = $u_id";
		}
		$filter .= $where;
		if ($just_header) {
			$str = "SELECT order_status.os_name,order_headers.*,groups.gr_name_hu FROM order_headers 
				LEFT JOIN order_status ON order_status.os_id = order_headers.oh_status
				LEFT JOIN groups ON groups.gr_id = order_headers.oh_group
				WHERE $filter ORDER BY oh_date DESC";
		} 
		$query = $this->db->query($str);
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
		else
		{
			return FALSE;
		}	
	}

	function order_rows($oh_id) {
			$str = "SELECT order_items.*,order_prod_status.os_name FROM order_items LEFT JOIN order_prod_status ON order_prod_status.os_id = order_items.oi_status WHERE oi_hdr = '$oh_id' ";
		$query = $this->db->query($str);
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
		else
		{
			return FALSE;
		}	
	}

	function order_header_details($id)
	{
		$this->db->where('oh_id', $id);	
		$query = $this->db->get('order_headers');
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}
		 
 function order_header_add($data) {
  	$str = $this->db->insert_string('order_headers', $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }

 function order_header_update($data,$id) {
			$where = "oh_id = '$id'"; 
			$str = $this->db->update_string('order_headers', $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }

 function order_row_update($data,$id) {
			$where = "oi_id = '$id'"; 
			$str = $this->db->update_string('order_items', $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 } 

 function order_row_add($data) {
  	$str = $this->db->insert_string('order_items', $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }
 
 function save_cart($ser_str,$u_id) {
		$this->db->where('u_id', $u_id);	
		$query = $this->db->get('ci_cart');
		if ($query->num_rows() == 1)
		{
			//már van update
			$where = "u_id = $u_id"; 
			$data = array('cart_array'=>"$ser_str");
			$str = $this->db->update_string('ci_cart', $data, $where);
			$this->db->query($str);
		}
		else
		{
			$data = array('cart_array'=>"$ser_str",'u_id'=>$u_id);
  	$str = $this->db->insert_string("ci_cart", $data);
  	$this->db->query($str);
  } 
 }	

	function del_cart($u_id) {
		$this->db->delete("ci_cart", array('u_id' => $u_id));
	}
	
	function reload_cart($u_id)
	{
		$this->db->where('u_id', $u_id);	
		$query = $this->db->get('ci_cart');
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}

 function visit_inc($id) {
   $this->db->query("UPDATE ".$this->tbl." SET pr_summ = pr_summ+1 WHERE pr_id = $id");
 } 	

 function add_opt($data,$table) {
			$str = $this->db->insert_string($table, $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	} 
 }
  
 function add_prop($data) {
			$str = $this->db->insert_string('product_prop', $data);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }

 function delete_all_prop($o_id) {
 		$str = ' DELETE FROM product_prop WHERE pp_obj = '.$o_id;
	 	$this->db->query($str);
 }

 function prop_count($o_id) {
		$query = $this->db->query("SELECT COUNT(pp_obj) as summ FROM product_prop  WHERE pp_obj = $o_id ");
		if ($query->num_rows() > 0)
		{
				return $query->row_array();
		}
		else
		{
				return 0;
		} 
	}   		

#	function get_props($o_id,$group)
#	{
#		$query = $this->db->query("SELECT * FROM product_prop WHERE pp_obj = $o_id 
#			UNION SELECT pp_key,'',$o_id,pp_set,pp_search,0,pp_group FROM product_prop 
#			WHERE product_prop.pp_group = '$group' AND NOT EXISTS (SELECT * FROM product_prop AS product_prop2 WHERE product_prop2.pp_key = product_prop.pp_key AND product_prop2.pp_obj = $o_id ) GROUP BY product_prop.pp_key  ");
#		if ($query->num_rows() > 0)
#		{
#				return $query->result_array();
#		}
#		else
#		{
#			return FALSE;
#		}
#	}

	function get_props($o_id,$group)
	{
		$query = $this->db->query("SELECT * FROM product_prop WHERE pp_obj = $o_id ");
		if ($query->num_rows() > 0)
		{
				return $query->result_array();
		}
		else
		{
			return FALSE;
		}
	}

	function get_props_by_group($o_id,$group)
	{
		$query = $this->db->query("SELECT * FROM product_prop WHERE pp_obj = $o_id AND pp_group = '$group' ");
		if ($query->num_rows() > 0)
		{
				return $query->result_array();
		}
		else
		{
			return FALSE;
		}
	}

	function get_props_group($o_id,$lang)
	{
		$query = $this->db->query("SELECT pp_group FROM product_prop WHERE pp_obj = $o_id AND pp_set = '$lang' GROUP BY pp_group ");
		if ($query->num_rows() > 0)
		{
				return $query->result_array();
		}
		else
		{
			return FALSE;
		}
	}
			
}

/* End of file Webshop_model.php */
/* Location: ./system/application/models/Webshop_model.php */