{literal}
<script src="assets/backend/js/jquery.metadata.js" type="text/javascript"></script>
<script src="assets/backend/js/jquery.validate.js" type="text/javascript"></script>
<script type="text/javascript" src="assets/backend/js/messages_hu.js"></script>
<script type="text/javascript" src="assets/backend/js/ckeditor/ckeditor.js"></script>
<script type="text/javascript" src="assets/backend/js/ckeditor/adapters/jquery.js"></script>

<script type="text/javascript">
function findValueCallback(event, data, formatted) {
	$("<li>").html( !data ? "Nincs találat!" : "Selected: " + formatted).appendTo("#result");
}

function formatItem(row) {
	return row[0];
}

function formatResult(row) {
	return row[0].replace(/(<.+?>)/gi, '');
}

function add_maker() {
	str = $("#maker_add").val();
	if (str) {
		 $.post("admin/webshop/add_opt", {
		  p_table: 'product_maker', 		 
		  p_val_field: 'mk_name', 
		  p_val : str	  	
		 }, function (data) {
		  if (data.status == 1) {
				 d_id = (data.id);
				 d_val = (data.value);
					$("#pr_maker").append("<option value=\"" + d_id + "\">" + d_val + "</option>");
					$("#maker_add").val('');
				} else {
				 jAlert(data.message,'Poruka');
				}
		},"json");
	}
	return false;
}

$(function()
{
	var config = {
	entities_latin : false,
	entities : false,
	entities_greek : false,		
		toolbar:
		[
			['Bold', 'Italic', '-', 'NumberedList', 'BulletedList'],
			['Format'],
			['UIColor']
		],
		disableNativeSpellChecker: true,
		scayt_autoStartup: false,
		resize_enabled: false
	};
	// Initialize the editor.
	// Callback function can be passed and executed after full instance creation.
	$('#pr_body_hu').ckeditor(config);
	$('#pr_body_en').ckeditor(config);
	$('#pr_megkoz_hu').ckeditor(config);
	$('#pr_megkoz_en').ckeditor(config);
	$('#pr_latni_hu').ckeditor(config);
	$('#pr_latni_en').ckeditor(config);

});

$().ready(function() {
   $("#reg_btn").click(function(){
        ckeditor.instances.pr_body_hu.updateElement();
        ckeditor.instances.pr_body_en.updateElement();
        ckeditor.instances.pr_megkoz_hu.updateElement();
        ckeditor.instances.pr_megkoz_en.updateElement();
        ckeditor.instances.pr_latni_hu.updateElement();
        ckeditor.instances.pr_latni_en.updateElement();
   });

jQuery.validator.addMethod("actprice", function(value, element) { 
			if ($("#pr_status").val() ==  1 && $("#pr_actprice").val()) {
  		return parseFloat($("#pr_actprice").val()) < parseFloat($("#pr_fullprice").val()); 
  	} else {
  		return 1;
  	}
}, "Mora biti manja od ukupne cene!");

jQuery.validator.addMethod("lettersonly", function(value, element) { 
        return this.optional(element) || /^[\s0-9a-záÁéÉőŐóÓüÜöÖűŰíÍúÚ-]+$/i.test(value); 
}, "Karakteri nisu dozvoljeni"); 


$("#SignupForm").validate({
		rules: {
			pr_status: {
				required: true
			},
			pr_name_hu:{
				required: true,
				maxlength: (60),
				lettersonly: true
			},
			pr_fullprice: {
				required: function(element) {
        return $("#pr_status").val() ==  1;
    },
				number: true
		 }
	},
		messages: {
			pr_name_hu: {
				maxlength: "Maksimalno 60 karaktera!",
				required: "Ovo je obavezno!",
				lettersonly: "Karakteri nisu dozvoljeni"
			}
		}				
});


});
</script>

<script type="text/javascript">
$(document).ready(function() {
	i = $('#pr_prop').val();;
	count = $('#pr_prop').val();;
	var agyak_sel = '{/literal}{$agyak_sel}{literal}';
	var type_sel = '{/literal}{$type_sel}{literal}';
	var vb_sel = '{/literal}{$vb_sel}{literal}';
	var hol_sel = '{/literal}{$hol_sel}{literal}';
	
	$('a.add').click(function() {
		$('<tr class="added"><td></td><td><input type="text"  class="kicsi" name="pp_db_'+i+'" value="" id="pp_db_'+i+'" /></td><td><select name="pp_agyak_'+i+'">'+agyak_sel+'</select></td>	<td><select name="pp_tipus_'+i+'">'+type_sel+'</select></td><td><select name="pp_vb_'+i+'">'+vb_sel+'</select></td> <td><select name="pp_hol_'+i+'">'+hol_sel+'</select></td> <td><input type="text"  class="kicsi" name="pp_ar_'+i+'" value="" id="pp_ar_'+i+'" /></td><td><input type="text"  class="kicsi" name="pp_ar_eu_'+i+'" value="" id="pp_ar_eu_'+i+'" /></td> 	</tr>').animate({ opacity: "show" }, "slow").appendTo('#levels');
		i++;
		$('#pr_prop').val(i);
		$(".input_value").autocomplete('admin/group/autocomplete', {
			width: 300,
			multiple: false,
			matchContains: true,
			formatItem: formatItem,
			formatResult: formatResult,
			extraParams: {table:'product_prop',field:'pp_value'}
		});
		$(".input_set").autocomplete('admin/group/autocomplete', {
			width: 300,
			multiple: false,
			matchContains: true,
			formatItem: formatItem,
			formatResult: formatResult,
			extraParams: {table:'product_prop',field:'pp_set'}
		});	
		return false;
	});

	$('a.remove').click(function() {
		if(i > 0) {
			$('.added:last').animate({opacity:"hide"}, "slow").remove();
			i--;		
			$('#pr_prop').val(i);						
		}
		return false;
		});

			$("#pr_maker").searchable({
				maxListSize: 100,
				maxMultiMatch:50,
				latency: 200,
				ignoreCase: true
			});

			$("#pr_group").searchable({
				maxListSize: 100,
				maxMultiMatch:50,
				latency: 200,
				ignoreCase: true
			});
						
});


</script>

<style rel="stylesheet" type="text/css">
.hide {visibility:hidden;}

label.error {
	margin-left: 10px;
	width: auto;
	display: inline;
	color: red;
	font-weight: normal;
}

#pr_maker,#pr_group {
	border: 1px solid red;
	padding: 4px;
	background-color: #EEE;
}
		
</style>

{/literal}


	<h2>{if $prod.p_id}Modifikacija{else}Dodavanje{/if}</h2>
	<p><strong>{$reg_mess}</strong></p>
	
	<form method="post" action="admin/{if $prod.p_id}webshop/product_mod{else}webshop/product_add{/if}" class="adatok clearfix frmreg" id="SignupForm" enctype="multipart/form-data">
		<input type="hidden" name='p_id' value="{$prod.p_id}" />		
		<input type="hidden" name='grp_id' value="{$grp_id}" />		
		<input type="hidden" name='pr_prop' id='pr_prop' value="{$pr_prop|default:'0'}" />		

    <ul class="tabs">
        <li><a href="#tab1">Srpski</a></li>
        <li><a href="#tab2">English</a></li>
    </ul>
    <div class="tab_container">
        <div id="tab1" class="tab_content">
       
       <div class="clearfix skngrid">  

<div class="skncontent"> 

		<label>Naziv (SR): </label>
		<input type="text" name="pr_name_hu" id="pr_name_hu"  value="{$prod.pr_name_hu}"  class="nagy"  />
		
		<table>
		<tr>
		<td style="padding-right:20px;">
		<label>Poštanski broj:</label>
		<input type="text" name="pr_zipcode" id="pr_zipcode" maxlength="5" value="{$prod.pr_zipcode}"  class="kicsi"  />
		</td><td>	
		<label>Mesto:</label>
		<input type="text" name="pr_city" id="pr_city"  value="{$prod.pr_city}"  class="kozepes"  />
		</td></tr></table>	
		
		<label>Ulica,  broj:</label>
		<input type="text" name="pr_street" id="pr_street"  value="{$prod.pr_street}"  class="kozepes" />
		
		<table width="100%">
		<tr>
		<td valign="top">
		<label>E-mail:</label>
		<input type="text" name="pr_mail" id="pr_mail"  value="{$prod.pr_mail}" class="kozepes"  />
		</td>
		<td valign="top">
		<label>Web:</label>
		<input type="text" name="pr_web" id="pr_web"  value="{$prod.pr_web}" class="kozepes"  />
		<small>('http://' nélkül)</a>
		</td>
		</tr>
		<tr>
		<td>
		<label>Telefon:</label>
		<input type="text" name="pr_tel" id="pr_tel"  value="{$prod.pr_tel}" class="kozepes"  />
		</td>
		<td>
		<label>Fax:</label>
		<input type="text" name="pr_fax" id="pr_fax"  value="{$prod.pr_fax}" class="kozepes"  />
		</td>
		</tr>
		<tr>
		<td>
		<label>Broj soba:</label>
		<input type="text" name="pr_rooms" id="pr_rooms"  value="{$prod.pr_rooms}" class="kozepes"  />
		</td>
		<td>
		<label>Broj ležaja:</label>
		<input type="text" name="pr_space" id="pr_space"  value="{$prod.pr_space}" class="kozepes"  />
		</td>
		</tr>

		</table>

		<table width="100%">
		<tr>
		<td colspan="2">
		<label>Otvoreno:</label>
		{$form_open}		
		</td>		
		</tr>
		<tr>
		<td>
		<label>Otvaranje (ako je sezonski):</label>
		<input type="text" name="pr_o_date" id="pr_o_date"  value="{$prod.pr_o_date}" class="kozepes"  />
		</td>		
		<td>
		<label>Zatvaranje (ako je sezonski):</label>
		<input type="text" name="pr_c_date" id="pr_c_date"  value="{$prod.pr_c_date}" class="kozepes"  />
		</td>	
		</tr>
		<tr>		
		<td colspan="2">
		<label>Online rezervacija:</label>
		<small style="line-height:20px;color:#999;">Ukoliko je član hostels.com možete uneti direktan link.</small>
		<input type="text" name="pr_online" id="pr_online"  value="{$prod.pr_online}" class="nagy" />
		</td>			
		</tr>
		<tr>		
		<td colspan="2">
		<label>Naziv:</label>
		<input type="text" name="pr_title_hu" id="pr_title_hu"  value="{$prod.pr_title_hu}" class="nagy" />
		</td>			
		</tr>
		<tr>		
		<td colspan="2">
		<label>Desc:</label>
		<input type="text" name="pr_desc_hu" id="pr_desc_hu"  value="{$prod.pr_desc_hu}" class="nagy" />
		</td>			
		</tr>
		</table>

		<h3>Usluge</h3>
		{$form_serv}
		
		<label>Opšti opis</label>
		<textarea name="pr_body_hu" id="pr_body_hu" style="width:600px;">{$prod.pr_body_hu}</textarea>
		<br />
		<label>Pristup</label>
		<textarea name="pr_megkoz_hu" id="pr_megkoz_hu" style="width:600px;">{$prod.pr_megkoz_hu}</textarea>
		<br />
		<label>Atrakcije</label>
		<textarea name="pr_latni_hu" id="pr_latni_hu" style="width:600px;">{$prod.pr_latni_hu}</textarea>

</div><!-- end skncontent -->

<div class="sknsidebar">
		<h3>Kategorija</h3>
		{$form_group}
		
		<br />
		
		<h3>Prihvatanje</h3>
		<ul>
		<li>{html_checkboxes name='pr_cards' values=$cards_ids output=$cards_names	selected=$cards_selected  separator='<br/>' labels=false}</li>
		<li><input type="checkbox" name="pr_cards[]" value="3" checked="checked" disabled />MISZSZ/YH članska karta<br /></li>
		</ul>
		<br />
{if $user_type == 5}
		<h3>Admin opcije</h3>
		<label>Status:</label>
		{$form_status}
		
		<label>Vlasnik:</label>
		{$form_owner}
{/if}
			
<!--
		<label>Kiemelt:</label>
		
						<select name="pr_feature" class="kozep">
						   {html_options values=$pr_feature_values output=$pr_feature_names selected=$pr_feature}
						</select>			
-->

	 {if $prod.p_id}
		<p style="margin:20px 0;">
			<a href="admin/gallery/image_add/{$prod.pr_group}/{$prod.gl_id}">Idi u galeriju</a>	 
	 {/if}
		</div><!-- end sknsidebar -->

</div><!-- end skngrid -->
		
        </div><!-- end: tab1 -->
        <div id="tab2" class="tab_content">

<div class="clearfix skngrid">
<div class="skncontent"> 
		<label>Naziv (EN)</label>
		<input type="text" name="pr_name_en" id="pr_name_en"  value="{$prod.pr_name_en}"  class="nagy" /> 

		<label>Opis (EN)</label>
		<textarea name="pr_body_en" id="pr_body_en" style="width:600px;">{$prod.pr_body_en}</textarea>
		<br />
		<label>Pristup</label>
		(EN)
		<textarea name="pr_megkoz_en" id="pr_megkoz_en" style="width:600px;">{$prod.pr_megkoz_en}</textarea>
		<br />
		<label>Atrakcije</label>
		(EN)
		<textarea name="pr_latni_en" id="pr_latni_en" style="width:600px;">{$prod.pr_latni_en}</textarea>      

		<label>Browser Title:</label>
		<input type="text" name="pr_title_hu" id="pr_title_hu"  value="{$prod.pr_title_hu}" class="nagy" />

		<label>Desc:</label>
		<input type="text" name="pr_desc_hu" id="pr_desc_hu"  value="{$prod.pr_desc_hu}" class="nagy" />
		
</div><!-- end skncontent -->
</div><!-- end skngrid -->
		  
        </div><!-- end: tab2 -->
    </div><!-- end: tab_container -->


<input name="reg_btn" id="reg_btn" value="Sačuvaj" type="submit" class="gombi" />

<h3>Sobe</h3>
<p>Možete dodati sledeći interfejs...</p>
		<table class="event" cellspacing="0" cellpadding="0" id="levels">
		<thead>
			<th></th>
			<th>Broj soba</th>
			<th>Broj ležaja</th>
			<th>Tip</th>
			<th>Vodovodne instalacije</th>
			<th>Gde se nalazimo</th>
			<th>Cena (RSD/osoba)</th>
			<th>Cena (EUR/osoba)</th>
		</thead>
		<tr>
			<td colspan="4">
						<a href="#" class="add" onclick="return FALSE;">Dodavanje</a> -	<a href="#" class="remove" onclick="return FALSE;">Brisanje</a>
			</td>
			<td  colspan="4"></td>
		</tr>
		   {section name=sec1 loop=$props}
						<tr class="added">
							<td></td>
							<td><input type="text" class="kicsi" name="pp_db_{$props[sec1].i}" value="{$props[sec1].pp_db}" id="pp_db_{$props[sec1].i}" /></td> 
							<td>{$props[sec1].pp_agyak}</td>	
							<td>{$props[sec1].pp_tipus}</td> 	
							<td>{$props[sec1].pp_vb}</td> 
							<td>{$props[sec1].pp_hol}</td> 
							<td><input type="text" class="kicsi" name="pp_ar_{$props[sec1].i}" value="{$props[sec1].pp_ar}" id="pp_ar_{$props[sec1].i}" /></td> 
							<td><input type="text" class="kicsi" name="pp_ar_eu_{$props[sec1].i}" value="{$props[sec1].pp_ar_eu}" id="pp_ar_eu_{$props[sec1].i}" /></td> 
						</tr>
		 	{/section}		
		</table>

	</form>

