<?php
#próba módosítva a macbookon

class Admin extends MY_Admin {

	function Admin()
	{
		parent::MY_Admin();	
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);

	}
	
	function login()
	{
		$this->load->model('admin_model', 'admin', true);
		$this->load->model('log_model', 'log', true);

  $username = $this->input->post('username');    
	 $password  = $this->input->post('password');

	 //ha nincs név, jelszó akkor login
	 if ( empty($username) OR empty($password) ) {
				$this->sm->assign('content','content_login.tpl');
	 } else {
			 //ha van beléptetés
			 $admin_data = $this->admin->admin_auth($username,md5($password));
			 if ($admin_data) {
			   $data = array(
			   											'userid' => 	$admin_data['a_id'],
			              'username'  => $admin_data['a_name'],
			              'usertype'  => $admin_data['a_type'],
			              'logged_in'  => TRUE
			           );	 
			 		$this->session->set_userdata($data);
			 		$this->log->log_message('[ADMINLOGIN][USERID:'.$data['userid'].'][USERNAME:'.$data['useradmin'].']',USER);
			 		redirect(base_url().'admin/home/index');
			 } else {
			 		redirect(base_url().'admin/admin/loginerror');
			 }
	 }
	}
	
	function loginerror()
	{
			$this->load->model('log_model', 'log', true);
			$this->log->log_message('[ADMINLOGINERROR][IP:'.$this->input->ip_address().']',WARNING);			
			$this->sm->assign('content','content_login_error.tpl');
	}

	function logout()
	{
			$this->load->model('log_model', 'log', true);

			$this->log->log_message('[LOGOUT][USERID:'.$this->session->userdata('userid').'][USERNAME:'.$this->session->userdata('useradmin').']',USER);	
			$this->session->sess_destroy();
			redirect(base_url().'admin/');
	}
	

	function mod()
	{
			$this->load->model('log_model', 'log', true);
		 $this->load->model('admin_model', 'admin', true);
			$this->load->helper('form');
			$this->load->helper('my_sm_form_helper');
	
			#adatok visszaírása
			if (!$this->input->post('mod_btn')) {
			 //ha nincs submit még...
			 $id = $this->uri->rsegment(3);
			 if (!$id) {redirect(base_url().'admin/home/');}
			 	#Magát , vagy jogosult?
				if ( !($this->session->userdata('usertype') == 5) ) {redirect(base_url().'admin/home');}
			 $data = $this->admin->admin_details($id);
		 	$this->sm->assign('admin',$data);
				$this->sm->assign('form_admin_types',form_dropdown_from_db('p_type', "SELECT at_id,at_name FROM admin_type",$data['a_type']));			
			} else {
				//visszaírjuk a POST-ot...
    $posts = array();
    $data = array();
    foreach($_POST as $key => $value) {
       $sm_key = str_replace('p_','a_',$key);
       $data[$sm_key] = $this->input->post($key);
    }				
		 	$this->sm->assign('admin',$data);
 			$this->sm->assign('form_admin_types',form_dropdown_from_db('p_type', "SELECT at_id,at_name FROM admin_type",$this->input->post('p_type')));				 
			}		 

		 #Validálás
			$this->load->library('validation');		 
			$rules['p_name'] = "required";
			$rules['p_firm'] = "required";
			$rules['p_mail'] = "required|valid_email";
			$rules['p_pwd']	= "required|matches[p_pwd_2]";
			$rules['p_pwd_2']	= "required";
			$rules['p_tel']	= "required";
			
			$this->validation->set_rules($rules);		 
			$this->validation->set_error_delimiters('<div class="error">', '</div>');
			$this->validation->set_message('required', '' );
			$this->validation->set_message('matches',  	$this->lang->line('pwd_not_match') );
			$this->validation->set_message('valid_email', $this->lang->line('email_not_valid') );
			$this->validation->set_message('adminname_check', $this->lang->line('login_not_valid') );

			if ($this->validation->run() == FALSE)
			{
				if ($this->input->post('mod_btn')) {
					$reg_mess = 'Nije sačuvano! '.$this->validation->error_string;	
					$this->sm->assign('reg_mess',$reg_mess);
				}		
			}
			else
			{				 
		 		#összerakjuk az adatokat a módosításhoz
		 		$p_name = $this->input->post('p_name');
		 		$p_firm = $this->input->post('p_firm');
		 		$p_mail = $this->input->post('p_mail');
		 		$p_pwd = $this->input->post('p_pwd');
		 		$p_addr = $this->input->post('p_addr');
		 		$p_tel = $this->input->post('p_tel');
					$p_regdate = date('Y-m-d H:i:s');
					
					$data = array(
						'a_name' => $p_name,
						'a_mail' => $p_mail,
						'a_pwd' => md5($p_pwd),
						'a_regdate' => $p_regdate,
						'a_addr' => $p_addr,
						'a_tel' => $p_tel,
						'a_firm' => $p_firm
					);
					
					if ( $this->admin->admin_update($data,$this->input->post('p_id')) ) {
							//sikeres regisztráció
				 		$this->log->log_message('[ADMINMOD][USERID:'.$this->input->post('p_id').'][USERNAME:'.$p_name.']',USER);						 
				 		$reg_mess = "Sačuvano!";
							$this->sm->assign('reg_mess',$reg_mess);		 		
							if ($this->session->userdata('admintype') == 5) {
									#ha adminisztrátor
									$data = array(
										'a_type' => $this->input->post('p_type')
									);					
									$this->admin->admin_update($data,$this->input->post('p_id'));
							}
					} else {
							$this->sm->assign('reg_mess', $this->lang->line('database_error') );
					}
		 	#mod vége	
		 }
			
			$this->sm->assign('content','content_admin_mod.tpl');
	}		

}
/* End of file admin.php */
/* Location: ./system/application/controllers/admin.php */