<?php

class Blog extends MY_Admin {

	function Blog()
	{
		parent::MY_Admin();
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);
	}

	
	function del()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

			$data = array(
				'b_status' => '2'
			);

			$this->blog->mod($data, $this->uri->rsegment(4));			
			redirect(base_url().'admin/blog/entry_list/0/all');
	}

	function react()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

			$data = array(
				'b_status' => '1'
			);

			$this->blog->mod($data, $this->uri->rsegment(4));			
			redirect(base_url().'admin/blog/entry_list/0/all');
	}	

	function mod()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		$grp_id = 0;
		$this->sm->assign('grp_id', $grp_id);

		//adatok visszaírása
		if (!$this->input->post('reg_btn')) {
			//ha nincs submit még...
			$p_id = $this->uri->rsegment(4);
			$entry = $this->blog->details($p_id);
			$entry['p_id']  = $p_id;
		} else {
			//post visszaírása
			$posts = array();
			$data = array();
			foreach ($_POST as $key => $value) {
				$sm_key = substr_replace($key, 'b_', 0, 3);
				$prod[$sm_key] = $this->input->post($key);
			};
			$entry['p_id'] = $this->input->post('p_id');
		}
		$this->sm->assign('entry', $entry);

		//Validálás
		$this->load->library('validation');
		$rules['b_title_hu'] = "required";
		//$rules['pr_fullprice'] = "required";
		$this->validation->set_rules($rules);
		$this->validation->set_error_delimiters('<div class="error">', '</div>');
		$this->validation->set_message('required', '%s '. $this->lang->line('required_field_missing') );

		//if ($entry['b_def'] == 1) {$def = 'readonly';} else {$def = '';}
		$this->sm->assign('form_type', form_dropdown_from_db('b_type', "SELECT tb_id,tb_name_hu FROM blog_type ", $entry['b_type'], ' id="b_type" '.$def) );
		$this->sm->assign('form_status', form_dropdown_from_db('b_status', "SELECT bs_id,bs_name FROM blog_status ", $entry['b_status'], ' id="b_status" '.$def) );
		$this->sm->assign('form_cat', form_dropdown_from_db('b_cat', "SELECT c_id,c_name_hu FROM blog_cat ", $entry['b_cat'], ' id="b_cat" '.$def) );
		$this->sm->assign('form_menu', form_dropdown_from_db('b_menu', "SELECT m_id,m_name_hu FROM blog_menu ", $entry['b_menu'], ' id="b_menu" '.$def) );

		if ($this->validation->run() == FALSE) {
			$this->sm->assign('reg_mess', $this->validation->error_string);
		}
		else {
			//kép
			//upload config
			$config['upload_path'] = './assets/res/blog';
			$config['allowed_types'] = 'gif|jpg|png|jpeg';
			$config['max_size']  = '';
			$config['max_width']  = '';
			$config['max_height']  = '';
			$config['encrypt_name']  = TRUE;
			$config['remove_spaces']  = TRUE;
			$this->load->library('upload', $config);			
			//image config
			$upload = $this->upload->do_upload('p_file');
			if ($upload)
			{
				$data = $this->upload->data();
				if ($data['is_image'] == 1)
				{
					$p_pic = $data['file_name'];
				}
			} else
			{
				$p_pic = $this->input->post('b_pic');
			}
		
			//összerakjuk az adatokat a reghez
			$p_regdate = date('Y-m-d H:i:s');
			$data = array(
				'b_group' => 0,
				'b_status' => $this->input->post('b_status'),
				'b_type' => $this->input->post('b_type'),				
				'b_title_hu' => $this->input->post('b_title_hu'),	
				'b_title_en' => $this->input->post('b_title_en'),
				'b_lead_hu' => $this->input->post('b_lead_hu'),		
				'b_lead_en' => $this->input->post('b_lead_en'),		
				'b_tags' => $this->input->post('b_tags'),	
				'b_body_hu' => $this->input->post('b_body_hu'),											
				'b_body_en' => $this->input->post('b_body_en'),	
				'b_cat' => $this->input->post('b_cat'),											
				'b_menu' => $this->input->post('b_menu'),											
				'b_user' => $this->session->userdata('userid'),
				'b_date' => 	$this->input->post('b_date'),				
				'b_mod_date' => $p_regdate,
				'b_html_kw_hu' => 	$this->input->post('b_html_kw_hu'),
				'b_html_title_hu' => 	$this->input->post('b_html_title_hu'),
				'b_html_ds_hu' => 	$this->input->post('b_html_ds_hu'),
				'b_html_kw_en' => 	$this->input->post('b_html_kw_en'),
				'b_html_title_en' => 	$this->input->post('b_html_title_en'),
				'b_html_ds_en' => 	$this->input->post('b_html_ds_en'),
				'b_pic' => $p_pic
			);

			$id = $this->blog->mod($data, $this->input->post('p_id'));
			if ($id) {
				redirect(base_url().'admin/blog/entry_list/0/all');
			} else {
				$this->sm->assign('reg_mess', $this->lang->line('database_error') );
			}
			//reg vége
		}

		$this->sm->assign('content', 'content_blog_reg.tpl');
	}

	function add()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		if ($this->input->post('b_type')) {$type = $this->input->post('b_type');} else {$type = $this->uri->rsegment(4);}

		//Validálás
		$this->load->library('validation');
		$rules['b_title_hu'] = "required";
		//$rules['pr_fullprice'] = "required";

		$this->validation->set_rules($rules);
		$this->validation->set_error_delimiters('<div class="error">', '</div>');
		$this->validation->set_message('required', '%s '. $this->lang->line('required_field_missing') );

		$this->sm->assign('form_type', form_dropdown_from_db('b_type', "SELECT tb_id,tb_name_hu FROM blog_type ", $type, ' id="b_type" ') );
		$this->sm->assign('form_status', form_dropdown_from_db('b_status', "SELECT bs_id,bs_name FROM blog_status ", $this->input->post('b_status'), ' id="b_status" ') );
		$this->sm->assign('form_cat', form_dropdown_from_db('b_cat', "SELECT c_id,c_name_hu FROM blog_cat ", $entry['b_cat'], ' id="b_cat" '.$def) );
		$this->sm->assign('form_menu', form_dropdown_from_db('b_menu', "SELECT m_id,m_name_hu FROM blog_menu ", $entry['b_menu'], ' id="b_menu" '.$def) );

		if ($this->validation->run() == FALSE) {
			$this->sm->assign('reg_mess', $this->validation->error_string);
		}
		else {
			//kép
			//upload config
			$config['upload_path'] = './assets/res/blog';
			$config['allowed_types'] = 'gif|jpg|png|jpeg';
			$config['max_size']  = '';
			$config['max_width']  = '';
			$config['max_height']  = '';
			$config['encrypt_name']  = TRUE;
			$config['remove_spaces']  = TRUE;
			$this->load->library('upload', $config);			
			//image config
			$upload = $this->upload->do_upload('p_file');
			if ($upload)
			{
				$data = $this->upload->data();
				if ($data['is_image'] == 1)
				{
					$p_pic = $data['file_name'];
				}
			} else
			{
				$p_pic = $this->input->post('b_pic');
			}
		
			//összerakjuk az adatokat a reghez
			$p_regdate = date('Y-m-d H:i:s');
			$data = array(
				'b_group' => 0,
				'b_status' => $this->input->post('b_status'),
				'b_type' => $this->input->post('b_type'),				
				'b_title_hu' => $this->input->post('b_title_hu'),	
				'b_title_en' => $this->input->post('b_title_en'),
				'b_lead_hu' => $this->input->post('b_lead_hu'),		
				'b_lead_en' => $this->input->post('b_lead_en'),		
				'b_tags' => $this->input->post('b_tags'),	
				'b_body_hu' => $this->input->post('b_body_hu'),											
				'b_body_en' => $this->input->post('b_body_en'),											
				'b_user' => $this->session->userdata('userid'),
				'b_cat' => $this->input->post('b_cat'),
				'b_menu' => $this->input->post('b_menu'),															
				'b_date' => 	$this->input->post('b_date'),
				'b_html_kw_hu' => 	$this->input->post('b_html_kw_hu'),
				'b_html_title_hu' => 	$this->input->post('b_html_title_hu'),
				'b_html_ds_hu' => 	$this->input->post('b_html_ds_hu'),
				'b_html_kw_en' => 	$this->input->post('b_html_kw_en'),
				'b_html_title_en' => 	$this->input->post('b_html_title_en'),
				'b_html_ds_en' => 	$this->input->post('b_html_ds_en'),
				'b_reg_date' => $p_regdate,
				'b_pic' => $p_pic
			);

			$id = $this->blog->add($data);
			if ($id) {
				//sikeres regisztráció, logolás
				redirect(base_url().'admin/blog/entry_list/0/all');
			} else {
				$this->sm->assign('reg_mess', $this->lang->line('database_error') );
			}
			//reg vége
		}

		$this->sm->assign('content', 'content_blog_reg.tpl');
	}

	function entry_list()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		if ($this->input->post('type')) {$type = $this->input->post('type');} else {$type = $this->uri->rsegment(4);}
		$this->sm->assign('type', $type);
		
		$grp_id = 0;
		$this->sm->assign('form_status', form_dropdown_from_db('status', "SELECT bs_id,bs_name FROM blog_status ", $this->input->post('status'), ' id="status" ') );
		$this->sm->assign('form_type', form_dropdown_from_db('type', "SELECT tb_id,tb_name_hu FROM blog_type ", $type, ' id="type" ') );
		
		if ($this->uri->rsegment(4) == 'all') {
			$entrys = $this->blog->group_entry_list($grp_id);
		} else {
			$group_by = NULL;
			$filter = " AND b_group = $grp_id ";
			if ($this->input->post('name')) {
				$filter .= ' AND b_title LIKE "%'.str_replace('_', ' ', $this->input->post('name')).'%"';
			}
			if ($this->input->post('status')) {
				$filter .= ' AND (b_status = '.$this->input->post('status').' ) ';
			}
			if ($type) {
				$filter .= ' AND (b_type = '.$type.' ) ';
			}
			$entrys = $this->blog->entry_list($filter, $limit, ' ORDER BY b_reg_date DESC ', $group_by);
		}
		if ($entrys) {
			$this->sm->assign('entrys', $entrys);
		}
		$this->sm->assign('content', 'content_blog_list.tpl');
	}

}
/* End of file blog.php */
/* Location: ./system/application/controllers/blog.php */