<?php

class Event extends MY_admin {

	function Event()
	{
		parent::MY_admin();
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);
	}

	function del()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('event_model', 'event', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		//jogosultság
		if ($this->session->userdata('usertype') < 5) {redirect(base_url());}


		$data = array(
			'e_status' => '2'
		);

		$this->event->mod($data, $this->uri->rsegment(4));
		redirect(base_url().'admin/event/entry_list/0/all');
	}

	function react()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('event_model', 'event', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		//jogosultság
		if ($this->session->userdata('usertype') < 5) {redirect(base_url());}


		$data = array(
			'e_status' => '1'
		);

		$this->event->mod($data, $this->uri->rsegment(4));
		redirect(base_url().'admin/event/entry_list/0/all');
	}


	function mod()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('event_model', 'event', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');


		//jogosultság
		if ($this->session->userdata('usertype') < 5) {redirect(base_url());}

		//adatok visszaírása
		if (!$this->input->post('reg_btn'))
		{
			//ha nincs submit még...
			$p_id = $this->uri->rsegment(4);
			$entry = $this->event->details($p_id);
			$entry['p_id']  = $p_id;
		} else
		{
			//post visszaírása
			$posts = array();
			$data = array();
			foreach ($_POST as $key => $value)
			{
				$sm_key = substr_replace($key, 'e_', 0, 3);
				$prod[$sm_key] = $this->input->post($key);
			};
			$entry['p_id'] = $this->input->post('p_id');
		}
		$this->sm->assign('event', $entry);

		//Validálás
		$this->load->library('validation');
		$rules['e_name_hu'] = "required";
		$this->validation->set_rules($rules);
		$this->validation->set_error_delimiters('<div class="error">', '</div>');
		$this->validation->set_message('required', '%s '. $this->lang->line('required_field_missing') );

		if ($this->validation->run() == FALSE)
		{
			$this->sm->assign('reg_mess', $this->validation->error_string);
		}
		else
		{
			//kép
			//upload config
			$config['upload_path'] = './assets/res/event';
			$config['allowed_types'] = 'gif|jpg|png|jpeg';
			$config['max_size']  = '';
			$config['max_width']  = '';
			$config['max_height']  = '';
			$config['encrypt_name']  = TRUE;
			$config['remove_spaces']  = TRUE;
			$this->load->library('upload', $config);			
			//image config
			$upload = $this->upload->do_upload('p_file');
			if ($upload)
			{
				$data = $this->upload->data();
				if ($data['is_image'] == 1)
				{
					$p_pic = $data['file_name'];
				}
			} else
			{
				$p_pic = $this->input->post('e_pic');
			}
			
			//összerakjuk az adatokat a reghez
			$data = array(
				'e_date_start' => $this->input->post('e_date_start'),
				'e_date_end' => $this->input->post('e_date_end'),
				'e_city' => $this->input->post('e_city'),
				'e_body_hu' => $this->input->post('e_body_hu'),
				'e_body_en' => $this->input->post('e_body_en'),
				'e_name_hu' => $this->input->post('e_name_hu'),
				'e_name_en' => $this->input->post('e_name_en'),
				'e_addr' => $this->input->post('e_addr'),
				'e_mail' => $this->input->post('e_mail'),
				'e_web' => $this->input->post('e_web'),
				'e_pic' => $p_pic				
			);

			$id = $this->event->mod($data, $this->input->post('p_id'));
			if ($id)
			{
				$this->session->set_userdata('msg_str', 'A rendezvény módosítása sikeres volt!');
				redirect(base_url().'admin/event/entry_list/0/all');
			} else
			{
				$this->sm->assign('reg_mess', $this->lang->line('database_error') );
			}
			//reg vége
		}

		$this->sm->assign('content', 'group_event_reg.tpl');
	}

	function add()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('event_model', 'event', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		//jogosultság
		if ($this->session->userdata('usertype') < 5) {redirect(base_url());}

		//Validálás
		$this->load->library('validation');
		$rules['e_name_hu'] = "required";

		$this->validation->set_rules($rules);
		$this->validation->set_error_delimiters('<div class="error">', '</div>');
		$this->validation->set_message('required', '%s '. $this->lang->line('required_field_missing') );

		if ($this->validation->run() == FALSE)
		{
			$this->sm->assign('reg_mess', $this->validation->error_string);
		}
		else
		{
			//kép
			//upload config
			$config['upload_path'] = './assets/res/event';
			$config['allowed_types'] = 'gif|jpg|png|jpeg';
			$config['max_size']  = '';
			$config['max_width']  = '';
			$config['max_height']  = '';
			$config['encrypt_name']  = TRUE;
			$config['remove_spaces']  = TRUE;
			$this->load->library('upload', $config);			
			//image config
			$upload = $this->upload->do_upload('p_file');
			if ($upload)
			{
				$data = $this->upload->data();
				if ($data['is_image'] == 1)
				{
					$p_pic = $data['file_name'];
				}
			} else
			{
				$p_pic = $this->input->post('e_pic');
			}

		
			//összerakjuk az adatokat a reghez
			$p_regdate = date('Y-m-d H:i:s');
			$data = array(
				'e_status' => 1,
				'e_date_start' => $this->input->post('e_date_start'),
				'e_date_end' => $this->input->post('e_date_end'),
				'e_city' => $this->input->post('e_city'),
				'e_body_hu' => $this->input->post('e_body_hu'),
				'e_body_en' => $this->input->post('e_body_en'),
				'e_name_hu' => $this->input->post('e_name_hu'),
				'e_name_en' => $this->input->post('e_name_en'),
				'e_addr' => $this->input->post('e_addr'),
				'e_mail' => $this->input->post('e_mail'),
				'e_web' => $this->input->post('e_web'),
				'e_pic' => $p_pic,				
				'e_reg_date' => $p_regdate
			);

			$id = $this->event->add($data);
			if ($id)
			{
				//sikeres regisztráció, logolás
				$this->log->log_message('[EVENTREG][USERID:'.$this->session->userdata('userid').'][EVENTID:'.$id.'][EVENTTITLE:'.$this->input->post('e_name_hu').']', USER);
				$this->session->set_userdata('msg_str', 'A rendezvény felvitele sikeres volt!');
				redirect(base_url().'admin/event/entry_list/0/all');
			} else
			{
				$this->sm->assign('reg_mess', $this->lang->line('database_error') );
			}
			//reg vége
		}

		$this->sm->assign('content', 'group_event_reg.tpl');
	}



	function entry_list()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('event_model', 'event', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		//jogosultság
		if ($this->session->userdata('usertype') < 5) {redirect(base_url());}

		if (!$this->input->post('status')   and ! $this->input->post('order_filter'))
		{
			$status = 1;
		} else
		{
			$status = $this->input->post('status');
		}

		$this->sm->assign('form_status', form_dropdown_from_db('status', "SELECT bs_id,bs_name FROM blog_status ", $status, ' id="status" ') );

		$group_by = NULL;
		if ($this->input->post('name'))
		{
			$filter .= ' AND e_name_hu LIKE "%'.str_replace('_', ' ', $this->input->post('name')).'%"';
		}
		if ($status)
		{
			$filter .= ' AND (e_status = '.$status.' ) ';
		}
		$entrys = $this->event->entry_list($filter, $limit, ' ORDER BY e_reg_date DESC ', $group_by);



		if ($entrys) {$this->sm->assign('entrys', $entrys);}
		$this->sm->assign('content', 'group_event_list.tpl');
	}


	function entry()
	{
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('fav_model', 'fav', true);
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->model('comment_model', 'comment', true);
		$this->load->model('event_model', 'event', true);
		$this->load->library('groupfunc');
		$this->load->helper('utils');

		if (!$this->uri->rsegment(3))
			{redirect(base_url());};

		if ($this->uri->rsegment(4))
		{
			$e_row = $this->event->details_by_group($this->uri->rsegment(4));
			$id = $e_row['e_id'];
		} else
		{
			$id = $this->uri->rsegment(3);
			$e_row = $this->event->details($id);
		}

		$this->event->visit_inc($id);
		$group_data = $this->group->details($e_row['e_group']);
		$ms_row = $this->group->msite_details($group_data['gr_id']);
		//microsite adtaok
		foreach ($ms_row as $key => $value)
		{
			$group_data["$key"] = $value;
		}
		//kirakjuk az event adatokat
		foreach ($e_row as $key => $value)
		{
			$group_data["$key"] = $value;
		}
		$month = substr($group_data['e_date_start'], 5, 2);
		$months = $this->lang->line("honapok");
		$month_end = substr($group_data['e_date_end'], 5, 2);
		$group_data['full_date'] =  substr($group_data['e_date_start'], 0, 4).'. '. mb_strtolower($months["$month"], 'UTF-8').' '.substr($group_data['e_date_start'], 8, 2).'. - '.mb_strtolower($months["$month_end"], 'UTF-8').' '.substr($group_data['e_date_end'], 8, 2).'.';
		$fav_num = $this->fav->count_fav($group_data['e_id'], 'EVEN');
		$this->sm->assign('num_favorites', $fav_num);
		if ($this->session->userdata('userid'))
		{
			if ($this->fav->is_fav($this->session->userdata('userid'), $group_data['e_id'], 'EVEN'))
			{
				$card_class = 'kedvenc';
			} else
			{
				$card_class = 'kedvencnek';
			}
		} else
		{
			$card_class = 'kedvencnek';
		}
		$this->sm->assign('card_class', $card_class);

		//közös adatok csoportoknál
		if ($this->session->userdata('userid'))
		{
			if ($this->fav->is_fav($this->session->userdata('userid'), $id, 'EVEN'))
			{
				$card_class = 'kedvenc';
			} else
			{
				$card_class = 'kedvencnek';
			}
		} else
		{
			$card_class = 'kedvencnek';
		}
		$this->sm->assign('card_class', $card_class);
		$fav_num = $this->fav->count_fav($id, 'EVEN');
		$this->sm->assign('num_favorites', $fav_num);

		$this->sm->assign('page_title', $group_data['gr_name_hu']);
		$this->sm->assign('group_data', $group_data);

		$data = $this->comment->comment_list($id, 'EVEN');
		$this->sm->assign('comments', $data);

		//SEO
		$this->site_conf['title']  = $group_data['gr_name_hu'].', '.$group_data['e_name_hu'].' '.$group_data['e_date_start'];
		$this->site_conf['desc']  =  $group_data['gr_name_hu'].', '.$group_data['e_name_hu'].' '.$group_data['e_date_start'].'- borászati események, borfesztivál, borkostoló , borok , tanfolyamok , rendezvények';
		$this->site_conf['keywords']  = $group_data['e_name_hu'].',rendezvény, esemény, borfesztivál, borkostoló'.','.$this->lang->line('default_keywords');

		$this->sm->assign('content', 'event_details.tpl');
	}


	function search()
	{
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('fav_model', 'fav', true);
		$this->load->model('event_model', 'event', true);
		$this->load->model('comment_model', 'comment', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');
		$this->load->library('groupfunc');
		$this->load->helper('utils');

		if (!$this->input->post('date_start') && !$this->input->post('search') )
		{
			$this->sm->assign('date_start', date("Y-m-d"));
			$filter .= ' AND (e_date_start >= "'.date("Y-m-d").'" )';
		};

		//SEO
		$this->site_conf['title']  = 'borterasz.hu - borászati események, borfesztivál, borkostoló';
		$this->site_conf['desc']  = 'borterasz.hu - borászati események, borfesztivál, borkostoló , borok , ';
		$this->site_conf['keywords']  = 'borászati események, borfesztivál, borkostoló'.','.$this->lang->line('default_keywords');

		if ($this->input->post('search'))
		{
			if ($this->input->post('date_start'))
			{
				$filter .= ' AND (e_date_start >= "'.$this->input->post('date_start').'")';
				$this->sm->assign('date_start', $this->input->post('date_start'));
			}
			if ($this->input->post('date_end'))
			{
				$filter .= ' AND (e_date_end <= "'.$this->input->post('date_end').'")';
				$this->sm->assign('date_end', $this->input->post('date_end'));
			}
			if ($this->input->post('s_string'))
			{
				$filter .= ' AND (e_body LIKE "%'.$this->input->post('s_string').'%")';
				$this->sm->assign('s_string', $this->input->post('s_string'));
			}
			if ($this->input->post('s_city'))
			{
				$filter .= ' AND (e_city LIKE "%'.$this->input->post('s_city').'%")';
				$this->sm->assign('s_city', $this->input->post('s_city'));
			}
		}

		//limit ha ajax
		$num_per_page = $this->config->item('search_items_on_page');
		if ($this->input->post('ajax_request'))
		{
			$limit = " LIMIT 0,$num_per_page ";
		}
		//lapozás
		if (! $this->input->post('s_pos'))
		{
			$pos = 0;
		} else
		{
			$pos = $this->input->post('s_pos');
		}
		$limit = ' LIMIT '.($pos*$num_per_page).','.$num_per_page.' ';
		//max num a listában
		$max_num = count( $this->event->entry_list(' AND e_status = 1 AND gr_status = 2  '.$filter, ' ', ' ORDER BY  e_date_start ASC ', '') );
		$lapokszama = ceil($max_num / $num_per_page);
		if ($lapokszama > 1)
		{
			$pager = '';
			for ($i=0;$i<$lapokszama;$i++)
			{
				if ($pos == $i)
					{$selected = 1;} else
					{$selected = 0;}
				if ($selected)
				{
					$pager .= '<li><strong class="active_page">'.($i+1)."</strong></li> ";
				}
				else
				{
					$pager .= '<li><a href="" onclick="return jump_page('.$i.');">'.($i+1).'</a></li>';
				}
			}
		}
		if (!$this->input->post('ajax_request') && $this->input->post('search'))
		{
			$limit = ' ';
		}
		
		//kártyák
		$card_num = 0;
		$res = $this->event->entry_list(' AND e_status = 1 AND gr_status = 2  '.$filter, $limit, ' ORDER BY  e_date_start ASC ', '');
		$i = 0;
		$cards_array = array();
		if ($res)
		{
			foreach ($res as $row)
			{
				$card_num++;
				if (($card_num % 3) == 0)
					{$style_hack = 'margin-right:0px;';} else
					{$style_hack = '';}
				$row['day'] = substr($row['e_date_start'], 8, 2);
				$row['day'] = substr($row['e_date_start'], 8, 2);
				$month = substr($row['e_date_start'], 5, 2);
				$months = $this->lang->line("honapok");
				$row['month'] =  mb_substr($months["$month"], 0, 3, 'UTF-8');
				$month_end = substr($row['e_date_end'], 5, 2);
				$fulldate =  substr($row['e_date_start'], 0, 4).'. '. mb_strtolower($months["$month"], 'UTF-8').' '.substr($row['e_date_start'], 8, 2).'. - '.mb_strtolower($months["$month_end"], 'UTF-8').' '.substr($row['e_date_end'], 8, 2).'.';
				$row['e_fulldate'] = $fulldate;
				$this->sm->assign('card', $row);
				$this->sm->assign('style_hack', $style_hack);
				if ($this->session->userdata('userid'))
				{
					if ($this->fav->is_fav($this->session->userdata('userid'), $row['e_id'], 'EVEN'))
					{
						$card_class = 'kedvenc';
					} else
					{
						$card_class = 'kedvencnek';
					}
				} else
				{
					$card_class = 'kedvencnek';
				}
				$this->sm->assign('card_class', $card_class);
				$fav_num = $this->fav->count_fav($row['e_id'], 'EVEN');
				$this->sm->assign('num_favorites', $fav_num);
				$comm_num = $this->comment->count_comm($row['e_id'], 'EVEN');
				$this->sm->assign('num_comm', $comm_num);
				$cards_array[$i++] = $this->sm->fetch('card_event.tpl');
			}
		} else
			{$card_array == false;}


		//szétválasztjuk az ajaxost a nemtől
		if ($this->input->post('ajax_request'))
		{
			$this->ajax_request = 1;
			$output = '';
			foreach ($cards_array as $card)
			{
				$output .= $card;
			}
			if (empty($output)) {$output = '<h3>Az Ön által megadott feltételekkel nincs találat</h3>';}
			$this->sm->assign('pager', $pager);
			if ($lapokszama > 1)
			{
				$fetched_pager = $this->sm->fetch('content_webshop_pagination.tpl');
			}
			$data = array (
				'wines' => $output,
				'pager' => $fetched_pager,
				'max_num' => $lapokszama
			);
			echo json_encode($data);
		} else
		{
			$this->sm->assign('pager', $pager);
			$this->sm->assign('max_num', $lapokszama);
			$this->sm->assign('event_normal', $cards_array);
			$this->sm->assign('content', 'content_event_list.tpl');
		}	
	}


	function autocomplete()
	{
		$this->load->model('user_model', 'user', true);
		$this->load->helper('ajax');

		$this->ajax_request = 1;
		$q = $this->input->post('q');
		$table = $this->input->post('table');
		$field = $this->input->post('field');
		$filter = $this->input->post('filter');

		echo autocomplate($q, $table, $field, $filter);
	}



}
/* End of file event.php */
/* Location: ./system/application/controllers/event.php */