<?php

class User extends MY_Admin {

	function User()
	{
		parent::MY_Admin();	
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);

	}
	
	function login()
	{
		$this->load->model('admin_model', 'user', true);
		$this->load->model('log_model', 'log', true);

  $username = $this->input->post('username');    
	 $password  = $this->input->post('password');

	 //ha nincs név, jelszó akkor login
	 if ( empty($username) OR empty($password) ) {
				$this->sm->assign('content','content_login.tpl');
	 } else {
			 //ha van beléptetés
			 $user_data = $this->user->admin_auth($username,$password);
			 if ($user_data) {
			   $data = array(
			   											'userid' => 	$user_data['a_id'],
			              'username'  => $user_data['a_name'],
			              'usertype'  => $user_data['a_type'],
			              'logged_in'  => TRUE
			           );	 
			 		$this->session->set_userdata($data);
			 		$this->log->log_message('[LOGIN][USERID:'.$data['userid'].'][USERNAME:'.$data['username'].']',USER);
			 		redirect(base_url().'/admin/home/index');
			 } else {
			 		redirect(base_url().'/admin/user/loginerror');
			 }
	 }
	}
	
	function loginerror()
	{
			$this->load->model('log_model', 'log', true);
			$this->log->log_message('[LOGINERROR][IP:'.$this->input->ip_address().']',WARNING);			
			$this->sm->assign('content','content_login_error.tpl');
	}

	function logout()
	{
			$this->load->model('log_model', 'log', true);

			$this->log->log_message('[LOGOUT][USERID:'.$this->session->userdata('userid').'][USERNAME:'.$this->session->userdata('username').']',USER);	
			$this->session->sess_destroy();
			redirect(base_url().'/admin/');
	}
	
	function delete() {
			$this->load->model('log_model', 'log', true);
		 $this->load->model('admin_model', 'user', true);
			$this->load->helper('form');
			$this->load->helper('my_sm_form_helper');
			$this->title = $this->lang->line('registration_title');
		 
	  if ( !($this->session->userdata('usertype') == 5 OR $this->session->userdata('usertype') == 2)  ) {redirect(base_url().'/admin/home');}	
	  $id = $this->uri->rsegment(3); 
	  if ($this->session->userdata('usertype') == 2 AND !$this->user->admin_owned($this->session->userdata('userid'),$id)) {
	  	redirect(base_url().'/admin/home');
	  }
	  $this->user->admin_delete($id);
	  $this->log->log_message('[USERDEL][DELID:'.$id.'][USERNAME:'.$this->session->userdata('username').']',USER);
	  redirect(base_url().'/admin/user/search/1');
	}
	
	function reg()
	{
			#csak ha adminisztrátor
			if ( !($this->session->userdata('usertype') == 5 OR $this->session->userdata('usertype') == 2) ) {redirect(base_url().'/admin/home');}		
		
			$this->load->model('log_model', 'log', true);
		 $this->load->model('admin_model', 'user', true);
			$this->load->helper('form');
			$this->load->helper('my_sm_form_helper');
			$this->title = $this->lang->line('registration_title');
		 
		 $this->sm->assign('form_user_types',form_dropdown_from_db('p_type', "SELECT at_id,at_name FROM admin_type",$this->input->post('p_type')));
		 
		 #Validálás
			$this->load->library('validation');		 
			$rules['p_name'] = "required";
			$rules['p_firm'] = "required";
			$rules['p_mail'] = "required|valid_email|callback_username_check";
			$rules['p_pwd']	= "required|matches[p_pwd_2]";
			$rules['p_pwd_2']	= "required";
			$rules['p_tel']	= "required";
			
			$this->validation->set_rules($rules);		 
			$this->validation->set_error_delimiters('<div class="error">', '</div>');
			$this->validation->set_message('required', '' );
			$this->validation->set_message('matches',  	$this->lang->line('pwd_not_match') );
			$this->validation->set_message('valid_email', $this->lang->line('email_not_valid') );
			$this->validation->set_message('username_check', $this->lang->line('login_not_valid') );

			if ($this->validation->run() == FALSE)
			{
				if ($this->input->post('reg_btn')) {
				$reg_mess = 'A tárolás sikertelen. '.$this->validation->error_string;	
				$this->sm->assign('reg_mess',$reg_mess);
				//visszaírjuk a POST-ot...
    $posts = array();
    $data = array();
    foreach($_POST as $key => $value) {
       $sm_key = str_replace('p_','a_',$key);
       $data[$sm_key] = $this->input->post($key);
    }				
		 	$this->sm->assign('user',$data);
 			$this->sm->assign('form_admin_types',form_dropdown_from_db('p_type', "SELECT at_id,at_name FROM admin_type",$this->input->post('p_type')));			
 			}		
			}
			else
			{				 
		 		#összerakjuk az adatokat a reghez
		 		$p_name = $this->input->post('p_name');
		 		$p_firm = $this->input->post('p_firm');
		 		$p_mail = $this->input->post('p_mail');
		 		$p_pwd = $this->input->post('p_pwd');
		 		$p_addr = $this->input->post('p_addr');
		 		$p_tel = $this->input->post('p_tel');
					if (!$this->input->post('p_type')) {$p_type = 1;} else {$p_type = $this->input->post('p_type');}
					$p_regdate = date('Y-m-d H:i:s');
					
					$data = array(
						'a_name' => $p_name,
						'a_mail' => $p_mail,
						'a_pwd' => md5($p_pwd),
						'a_regdate' => $p_regdate,
						'a_addr' => $p_addr,
						'a_tel' => $p_tel,
						'a_firm' => $p_firm,
						'a_type' => $p_type,
						'a_owner' => $this->session->userdata('userid')
					);
					
					$user_id = $this->user->admin_add($data);
					if ($user_id) {
							//sikeres regisztráció
				 		$this->log->log_message('[USERREG][USERID:'.$user_id.'][USERNAME:'.$p_name.']',USER);						 
				 		$reg_mess = "A tárolás sikeres volt!";
							$this->sm->assign('reg_mess',$reg_mess);		 		
					} else {
							$this->sm->assign('reg_mess', $this->lang->line('database_error') );
					}
		 	#reg vége	
		 }
			$this->sm->assign('content','content_user_reg.tpl');
	}		


	function mod()
	{
			$this->load->model('log_model', 'log', true);
		 $this->load->model('admin_model', 'user', true);
			$this->load->helper('form');
			$this->load->helper('my_sm_form_helper');
			$this->title = $this->lang->line('registration_title');
	
			#adatok visszaírása
			if (!$this->input->post('mod_btn')) {
			 //ha nincs submit még...
			 $id = $this->uri->rsegment(3);
			 if (!$id) {redirect(base_url().'/admin/home/');}
			 	#Magát , vagy jogosult?
				if ( !($this->session->userdata('userid')  == $id OR $this->session->userdata('usertype') == 5 ) ) {redirect(base_url().'/admin/home');}
			 $data = $this->user->admin_details($id);
		 	$this->sm->assign('user',$data);
				$this->sm->assign('form_user_types',form_dropdown_from_db('p_type', "SELECT at_id,at_name FROM admin_type",$data['a_type']));			
			} else {
				//visszaírjuk a POST-ot...
    $posts = array();
    $data = array();
    foreach($_POST as $key => $value) {
       $sm_key = str_replace('p_','a_',$key);
       $data[$sm_key] = $this->input->post($key);
    }				
		 	$this->sm->assign('user',$data);
 			$this->sm->assign('form_admin_types',form_dropdown_from_db('p_type', "SELECT at_id,at_name FROM admin_type",$this->input->post('p_type')));				 
			}		 

		 #Validálás
			$this->load->library('validation');		 
			$rules['p_name'] = "required";
			$rules['p_firm'] = "required";
			$rules['p_mail'] = "required|valid_email";
			$rules['p_pwd']	= "required|matches[p_pwd_2]";
			$rules['p_pwd_2']	= "required";
			$rules['p_tel']	= "required";
			
			$this->validation->set_rules($rules);		 
			$this->validation->set_error_delimiters('<div class="error">', '</div>');
			$this->validation->set_message('required', '' );
			$this->validation->set_message('matches',  	$this->lang->line('pwd_not_match') );
			$this->validation->set_message('valid_email', $this->lang->line('email_not_valid') );
			$this->validation->set_message('username_check', $this->lang->line('login_not_valid') );

			if ($this->validation->run() == FALSE)
			{
				if ($this->input->post('mod_btn')) {
					$reg_mess = 'A tárolás sikertelen. '.$this->validation->error_string;	
					$this->sm->assign('reg_mess',$reg_mess);
				}		
			}
			else
			{				 
		 		#összerakjuk az adatokat a módosításhoz
		 		$p_name = $this->input->post('p_name');
		 		$p_firm = $this->input->post('p_firm');
		 		$p_mail = $this->input->post('p_mail');
		 		$p_pwd = $this->input->post('p_pwd');
		 		$p_addr = $this->input->post('p_addr');
		 		$p_tel = $this->input->post('p_tel');
					$p_regdate = date('Y-m-d H:i:s');
					
					$data = array(
						'a_name' => $p_name,
						'a_mail' => $p_mail,
						'a_pwd' => $p_pwd,
						'a_regdate' => $p_regdate,
						'a_addr' => $p_addr,
						'a_tel' => $p_tel,
						'a_firm' => $p_firm
					);
					
					if ( $this->user->admin_update($data,$this->input->post('p_id')) ) {
							//sikeres regisztráció
				 		$this->log->log_message('[USERMOD][USERID:'.$this->input->post('p_id').'][USERNAME:'.$p_name.']',USER);						 
				 		$reg_mess = "A módosítás sikeres volt!";
							$this->sm->assign('reg_mess',$reg_mess);		 		
							if ($this->session->userdata('usertype') == 5) {
									#ha adminisztrátor
									$data = array(
										'a_type' => $this->input->post('p_type')
									);					
									$this->user->admin_update($data,$this->input->post('p_id'));
							}
					} else {
							$this->sm->assign('reg_mess', $this->lang->line('database_error') );
					}
		 	#mod vége	
		 }
			
			$this->sm->assign('content','content_user_mod.tpl');
	}		

	function search() {
		#csak ha adminisztrátor v. ügynökség
		if ( !$this->session->userdata('usertype') == 5  ) {redirect(base_url().'/admin/home');}		
		
		$this->load->model('admin_model', 'user', true);

		if ($this->session->userdata('usertype') == 2) {	
			$search_query .= ' AND  a_owner = '.$this->session->userdata('userid');
		}		
		if ( $this->input->post('search_string') ) {
			$search_string = $this->input->post('search_string');
			$this->sm->assign('search_string',$search_string);
			$search_query = 'AND (a_name LIKE "%'.$search_string.'%" OR a_firm LIKE "%'.$search_string.'%") ';
		}
		if ($this->uri->rsegment(3)) {
				$search_query .= ' AND 	a_type = '.$this->uri->rsegment(3);
				$this->sm->assign('a_type',$this->uri->rsegment(3));
		} elseif ($this->input->post('a_type')) {
				$search_query .= ' AND 	a_type = '.$this->input->post('a_type');
				$this->sm->assign('a_type',$this->input->post('a_type'));
		}

#		if ($this->session->userdata('usertype') == 2) {
#				$pre_filter = ' AND  o_agency = '.$this->session->userdata('userid');
#				$res = $this->office->office_search($pre_filter.$search_query);
#				if ($res) {
#					$in_array = " IN ( ";
#				 foreach ($res as $row) {
#				 		$in_array .= $row['o_owner'].',';
#				 }
#				 $in_array = rtrim($in_array,',').')';
#					if ($in_array) {
#						$search_query = ' AND a_id '.$in_array;
#					}				
#				}
#		}
		$res = $this->user->admin_search($search_query);
		if ($res) {
	  	$i = 0;
	  	$list = array();
	  	foreach ($res as $row) {
	  			$tmp = array(
	  						'user_name' => $row['a_name'],
	  						'user_firm' => $row['a_firm'],																		
	  						'user_id' => $row['a_id']																			  						
	  			);
	  			$list[$i++] = $tmp;
	  	}
	  	$this->sm->assign('user_list',$list);
	  }		
		$this->sm->assign('content','content_user_list.tpl');	
	}

	function username_check($str)
	{
			return $this->user->admin_validate_login($str);
	}


}
/* End of file user.php */
/* Location: ./system/application/controllers/user.php */