<?php

class Admin_model extends Model {
 private $tbl = 'admins';
 
	function Admin_model()
	{
		parent::Model();	
	}

 function admin_search($string) {
		$query = $this->db->query('SELECT admins.* FROM admins  WHERE 1 '.$string.' ORDER BY a_firm ASC , a_name ASC ');	
		if ($query->num_rows() > 0)
		{
				return $query->result_array();
		}
		else
		{
			return FALSE;
		} 
 } 
 
	function admin_details($id)
	{
		$this->db->where('a_id', $id);	
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}

 function admin_update($data,$id) {
			$where = "a_id = $id"; 
			$str = $this->db->update_string($this->tbl, $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }
 		
	function admin_auth($username,$password)
	{
		$this->db->where('a_mail', $username);	
		$this->db->where('a_pwd', $password);
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() == 1)
		{
			$str = 'UPDATE '.$this->tbl.' SET a_lastlogin = "'.date('Y-m-d H:i:s').'" WHERE a_mail = "'.$username.'" AND a_pwd = "'.$password.'" ';
			$this->db->query($str);
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}
	
 function  admin_validate_login($str) {
		$this->db->where('a_mail', $str);	
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() == 1)
		{
			return FALSE;
		}
		else
		{
			return TRUE;
		}  
 }

 function  admin_validate_nick($str) {
		$this->db->where('a_nick', $str);	
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() == 1)
		{
			return FALSE;
		}
		else
		{
			return TRUE;
		}  
 }
  
 function admin_add($data) {
  	$str = $this->db->insert_string($this->tbl, $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }

 function admin_delete($a_id) {
  	$str = $this->db->delete($this->tbl, array('a_id' => $a_id));
 }

 function admin_owned($o_id,$a_id) {
		$this->db->where('a_owner', $o_id);	
		$this->db->where('a_id', $a_id);	
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() > 0)
		{
				return TRUE;
		}
		else
		{
			return FALSE;
		} 
 } 
 	
}

/* End of file admin_model.php */
/* Location: ./system/application/models/admin_model.php */