<?php

class  Gallery_model extends Model {
 private $tbl = 'gallerys';
 
	function Gallery_model()
	{
		parent::Model();	
	}
	

 function add($data) {
  	$str = $this->db->insert_string($this->tbl, $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }

 function mod($data,$id) {
			$where = "gl_id = $id"; 
			$str = $this->db->update_string($this->tbl, $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }
 
function details($id)
	{
		$this->db->where('gl_id', $id);	
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}

 function group_gallery_list($g_id) {
		$this->db->where('gl_grp', $g_id);			
		$query = $this->db->get($this->tbl); 
		if ($query->num_rows() > 0)
		{
				return $query->result_array();
		}
		else
		{
			return FALSE;
		} 
 } 

	function gallery_list($filter,$limit,$order,$group_by = 'GROUP BY gl_id')
	{
		if (!$group_by) {$group_by = 'GROUP BY gl_id';}
		$str = "SELECT gallerys.* FROM ".$this->tbl." 
			WHERE 1  $filter  $group_by $order $limit";
		$query = $this->db->query($str);
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
		else
		{
			return FALSE;
		}
	}

	function gallery_image_list($g_id)
	{
		$str = "SELECT gallery_pics.* , gallerys.* FROM gallery_pics 
			LEFT JOIN gallerys ON gallerys.gl_id = gallery_pics.gp_gal
			WHERE  gp_gal = $g_id ORDER BY gp_start DESC";
		$query = $this->db->query($str);
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
		else
		{
			return FALSE;
		}
	}
		 		
 function image_add($data) {
  	$str = $this->db->insert_string('gallery_pics', $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }

function image_delete($id)
	{
			$this->db->delete('gallery_pics', array('gp_id' => $id)); 		
			return TRUE;
	} 

 function image_mod($data,$id) {
			$where = "gp_id = $id"; 
			$str = $this->db->update_string('gallery_pics', $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }
 
function image_details($id)
	{
		$this->db->where('gp_id', $id);	
		$query = $this->db->get('gallery_pics');
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	} 		

function image_list_by_gal($id)
	{
		$this->db->where('gp_gal', $id);	
		$this->db->orderby('gp_id ASC');	

		$query = $this->db->get('gallery_pics');
		if ($query->num_rows())
		{
			return $query->result_array();
		}
		else
		{
			return FALSE;
		}
	} 		

 function visit_inc($id) {
   $this->db->query("UPDATE ".$this->tbl." SET gl_summ = gl_summ+1 WHERE gl_id = $id");
 } 	

 function image_set_start($id) {
		$this->db->where('gp_id', $id);	
		$query = $this->db->get('gallery_pics');
	 $row = $query->row_array();
		$this->db->query("UPDATE gallery_pics SET gp_start = 0 WHERE gp_gal = ".$row['gp_gal']);
		$this->db->query("UPDATE gallery_pics SET gp_start = 1 WHERE gp_id = $id");		
 }	 			

}

/* End of file gallery_model.php */
/* Location: ./system/application/models/gallery_model.php */