<?php

class Group_model extends Model {
 private $tbl = 'groups';
 
	function Group_model()
	{
		parent::Model();	
	}
	
	function group_list($filter,$limit,$order,$just_active=TRUE)
	{
		if ($just_active) {$filter = $filter . ' AND gr_status>1' ;}
		$str = "SELECT groups.* ,microsites.* FROM ".$this->tbl." 
			LEFT JOIN microsites ON microsites.ms_group = groups.gr_id
		WHERE 1 $filter 
		GROUP BY gr_id
		$order $limit";
		$query = $this->db->query($str);
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
		else
		{
			return FALSE;
		}
	}



 function add($data) {
  	$str = $this->db->insert_string($this->tbl, $data);
  	if ($this->db->query($str)) {
  			return $this->db->insert_id();
  	} else {
		  	return FALSE; 
  	}
 }

 function mod($data,$id) {
			$where = "gr_id = $id"; 
			$str = $this->db->update_string($this->tbl, $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }


	function details($id)
	{
		$this->db->where('gr_id', $id);	
		$query = $this->db->get($this->tbl);
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}


 function msite_add($data) {
 	$str = $this->db->insert_string('microsites', $data);
 	if ($this->db->query($str)) {
 			return $this->db->insert_id();
 	} else {
	  	return FALSE; 
 	}
 }

 function msite_mod($data,$id) {
			$where = "ms_group = $id"; 
			$str = $this->db->update_string('microsites', $data, $where);
  	if ($this->db->query($str)) {
  			return TRUE;
  	} else {
		  	return FALSE; 
  	}
 }

	function msite_details_from_url($name)
	{
		$this->db->where('ms_shorturl', $name);	
		$query = $this->db->get('microsites');
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}
	 
	function msite_details($id)
	{
		$this->db->where('ms_group', $id);	
		$query = $this->db->get('microsites');
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
		else
		{
			return FALSE;
		}
	}

 function  validate_url($str,$gr_id) {
		$this->db->where('ms_shorturl', $str);	
		if ($gr_id) {$this->db->where('ms_group !=', $gr_id);}
		$query = $this->db->get('microsites');
		if ($query->num_rows() == 1)
		{
			return FALSE;
		}
		else
		{
			return TRUE;
		}  
 }
 		 
}

/* End of file Group_model.php */
/* Location: ./system/application/controllers/Group_model.php */