/* Hungarian initialisation for the jQuery UI date picker plugin. */
/* Written by Istvan Karaszi (jquery@spam.raszi.hu). */
jQuery(function($){
	$.datepicker.regional['sr'] = {
		closeText: 'Zatvori',
		prevText: '&laquo;&nbsp;nazad',
		nextText: 'napred&nbsp;&raquo;',
		currentText: 'ma',
		monthNames: ['Januar', 'Februar', 'Mart', 'April', 'Maj', 'Jun',
		'Jul', 'Avgust', 'Septembar', 'Oktobar', 'Novembar', 'Decembar'],
		monthNamesShort: ['Jan', 'Feb', 'Mar', 'Apr', 'Maj', 'Jun',
		'Jul', 'Avg', 'Sep', 'Okt', 'Nov', 'Dec'],
		dayNames: ['Nedelja', 'Ponedeljak', 'Utorak', 'Sreda', 'Četvrtak', 'Petak', 'Subota'],
		dayNamesShort: ['Ned', 'Pon', 'Uto', 'Sre', 'Čet', 'Pet', 'Sub'],
		dayNamesMin: ['N', 'P', 'U', 'S', 'Č', 'P', 'S'],
		weekHeader: 'Nedelja',
		dateFormat: 'dd-mm-yy',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''};
	$.datepicker.setDefaults($.datepicker.regional['sr']);
});